Index: /extensions/LLGBO2/language/lv_LV/description.txt
===================================================================
--- /extensions/LLGBO2/language/lv_LV/description.txt	(revision 7829)
+++ /extensions/LLGBO2/language/lv_LV/description.txt	(revision 7829)
@@ -0,0 +1,5 @@
+LLGBO2
+Rāda sīkbildi un Exif zem pogas (pārvelkot ar peli)
+-Rāda maliņas ap attēlu.
+-Rāda navigācijas rīkus uz attēla.
+-Rāda baneri tikai uz pirmās lapas un uz papildlapām.
Index: /extensions/LLGBO2/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/lv_LV/plugin.lang.php	(revision 7829)
+++ /extensions/LLGBO2/language/lv_LV/plugin.lang.php	(revision 7829)
@@ -0,0 +1,89 @@
+<?php  
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+
+$lang['submit'] = 'Apstiprināt';
+$lang['Title'] = 'Izskatās kā GBo';
+$lang['Howto'] = 'Šis spraudnis pārvalda attēla lapas izskatu.';
+$lang['Step1_Title'] = 'Spraudņa iestatījumi';
+$lang['Step2_Title'] = 'Rīka padomu iestatījumi';
+$lang['Step3_Title'] = 'Ietvara iestatījums';
+$lang['Step4_Title'] = 'Rādīt/slēpt katras lapas gaveni';
+$lang['llgbo_tooltip']='Special tooltips (photos thumbnails) on mouseover :';
+$lang['llgbo_exifunderbt']='Īpašie EXIF rīku padomi uzbraucot ar peli (on mouseover):';
+$lang['llgbo_frame']='Attēla ietvara pārvaldīšana:';
+$lang['llgbo_header']='Displeja galvenes pārvaldīšana ';
+$lang['llgbo_maintain_header']='Apkalpot galveni sekojošās lapās:';
+$lang['llgbo_usemap']='Pievienot navigācijas rīkus uz attēla:';
+$lang['llgbo_usemap_thumb']='Rādīt sīkbildes, kad uz attēla ir aktīvi navigācijas rīki :';
+$lang['llgbo_info']='     (^_^) Iestatījumi atjaunināti';
+$lang['llgbo_title_frame'] = 'Rādīt attēla nosaukumu uz ietvara';
+$lang['llgbo_default_navthumb'] = 'Neizmantot (Skatīt_Nākamo) Prev_Next sīkbildes standarta rādījumu:';
+$lang['save'] = 'Saglabāt';
+$lang['preview'] = 'Priekšskatīt';
+$lang['llgo_tooltip_width']= 'Rīkpadoma platums';
+$lang['llgo_tooltip_size']= 'Rīkpadoma robežas platums';
+$lang['llgbo_tooltip_bordercolor']= 'Rīkpadoma robežas krāsa';
+$lang['llgbo_tooltip_backgroundcolor']= ' Rīkpadoma fona krāsa';
+$lang['llgbo_tooltip_titlecolor']= ' Rīkpadoma uzraksta krāsa';
+$lang['llgbo_tooltip_color']= ' Rīkpadoma teksta krāsa';
+$lang['llgo_global_setting']= 'Piwigo attēla lapas globālie iestatījumi';
+$lang['llgo_tooltip_setting']= ' Rīkpadoma nosaukums';
+$lang['llgo_frame_setting']= 'Ietvara (rāmja) iestatījumi:' ;
+$lang['llgbo_title_frame_color']= 'Rāmī attēlotā virsraksta krāsa';
+$lang['llgbo_frame_bdcolor0']= '1.Līnijas krāsa: ';
+$lang['llgbo_frame_bdcolor1']= '2.Līnijas krāsa: ';
+$lang['llgbo_frame_bdcolor2']= '3.Līnijas krāsa: ';
+$lang['llgbo_frame_bdcolor3']= '4.Līnijas krāsa: ';
+$lang['llgbo_frame_bdcolor4']= '5.Līnijas krāsa: ';
+$lang['llgbo_frame_bdcolor5']= '6.Līnijas krāsa: ';
+$lang['llgbo_frame_bdcolor6']= '7.Līnijas krāsa: ';
+$lang['llgbo_frame_bdcolor7']= '8.Līnijas krāsa: ';
+$lang['llgbo_frame_bdcolor8']= '9.Līnijas krāsa: ';
+$lang['llgbo_frame_bdcolor9']= '10.Līnijas krāsa: ';
+$lang['llgbo_frame_bdcolor10']= '11.Līnijas krāsa: ';
+$lang['llgbo_frame_bdcolor11']= '12.Līnijas krāsa: ';
+$lang['llgbo_frame_bdcolor12']= '13.Līnijas krāsa: ';
+$lang['llgbo_frame_bdcolor13']= '14.Līnijas krāsa: ';
+$lang['llgbo_frame_bdcolor14']= '15.Līnijas krāsa: ';
+$lang['llgbo_frame_bdcolor15']= '16.Līnijas krāsa: ';
+$lang['llgbo_frame_bdsize']= 'platums:';
+$lang['llgbo_M_frame'] = 'Ietvara pārvaldīšana';
+$lang['llgbo_M_tooltip'] = 'Rīkpadoma pārvaldīšana';
+$lang['llgbo_M_manage'] = 'Globālie iestatījumi';
+$lang['llgbo_samples'] = 'Paraugi: ';
+$lang['llgbo_frame']='Pārvaldīt attēla ietvaru :';
+$lang['llgbo_header']='Pārvaldīt galvenes rādījumu';
+$lang['llgbo_M_header'] = 'Vadīt galvenes rādījumu';
+$lang['llgbo_header_home'] = 'Rādīt galveni Mājas lapā';
+$lang['llgbo_header_category'] = 'Rādīt galveni Kategorijas lapā';
+$lang['llgbo_header_category_filter_recent']= 'Rādīt galveni Kategorijas lapā (filtrēts pēc tekošā)';
+$lang['llgbo_header_category_flat']= 'Rādīt galveni Kategorijas lapā (bez skaistinājumiem)' ;
+$lang['llgbo_header_category_posted_monthly']= 'Rādīt galveni Kategorijas lapā kalendāra variants' ;
+$lang['llgbo_header_picture']= 'Rādīt galveni Attēla lapā' ;
+$lang['llgbo_header_additional_page'] = 'Rādīt galveni Papilduslapās';
+$lang['llgbo_header_most_visited'] = 'Rādīt galveni Visvairāk apmeklētajās lapās';
+$lang['llgbo_header_best_rated'] = 'Rādīt galveni Vislabāk vērtētajā lapā';
+$lang['llgbo_header_list']= 'Rādīt galveni Gagījuma lapās';
+$lang['llgbo_header_recent_pics']= 'Rādīt galveni Tekošo attēlu lapā';
+$lang['llgbo_header_created_monthly_calendar'] = 'Rādīt galveni Kalendāra lapā';
+$lang['llgbo_header_tags']= 'Rādīt galveni Tagu (iezīmju) lapā';
+$lang['llgbo_header_search']= 'Rādīt galveni Meklēšanas lapā';
+$lang['llgbo_header_comments']= 'Rādīt galveni Komentāru lapā';
+$lang['llgbo_header_about']= 'Rādīt galveni lapā Par (About)';
+$lang['llgbo_header_notification']= 'Rādīt galveni Paziņojumu lapā';
+$lang['llgbo_header_register'] = 'Rādīt galveni Reģistrācijas lapā';
+$lang['llgbo_header_identification']= 'Rādīt galveni identifikācijas lapā';
+$lang['llgbo_header_favorites']= 'Rādīt galveni Favorītu lapā';
+$lang['llgbo_header_recent_cats']= 'Rādīt galveni Tekošās kategorijas lapā';
+$lang['llgbo_frame_sample']= 'Paraugu saraksts ';
+$lang['previewsamples']= 'Rādīt šo paraugu';
+$lang['llgbo_always_displayexif'] = 'Vienmēr rādīt METADATA:' ;
+$lang['Reset_To_Default'] = 'Atiestatīt pēcnoklusējuma vērtības';
+$lang['llgo_warning_setting'] = 'Gally tēmām nav pieejami rāmji ap attēliem un navigācijas rīki uz attēliem';
+$lang['llgbo_hdShadowbox'] ='HD ĒnuKastes (Shadowbox) un navigācijas rīku uz attēla saderība. <br> HD ĒnuKastei (Shadowbox) jābūt aktivētai!';
+
+?>