Index: /extensions/photoWidget/language/lv_LV/description.txt
===================================================================
--- /extensions/photoWidget/language/lv_LV/description.txt	(revision 7830)
+++ /extensions/photoWidget/language/lv_LV/description.txt	(revision 7830)
@@ -0,0 +1,1 @@
+pievieno 3D animācijas iespēju attēliem
Index: /extensions/photoWidget/language/lv_LV/index.php
===================================================================
--- /extensions/photoWidget/language/lv_LV/index.php	(revision 7830)
+++ /extensions/photoWidget/language/lv_LV/index.php	(revision 7830)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/photoWidget/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/lv_LV/plugin.lang.php	(revision 7830)
+++ /extensions/photoWidget/language/lv_LV/plugin.lang.php	(revision 7830)
@@ -0,0 +1,40 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | photoWidget  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+
+$lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'Ar šī spraudņa palīdzību iespējam parādīt attēlus izmantojot animāciju un 3D rotāciju. Tas darbojas kā ierarasto kategoriju gadījumā, bet interesantāk un aizraujošāk.';
+$lang['You can choose that mode for displaying one, severals or all categories'] = 'Šo režīmu vrat pielietot, lai attēlotu vienu, vaurākas vai visas kategorijas';
+$lang['Main configuration'] = 'Galvenā konfigurācija';
+$lang['All categories'] = 'Visas kategorijas';
+$lang['Applicable categorie(s)'] = 'Piemērojamās kategorijas';
+$lang['Animation size'] = 'Animācijas izmērs';
+$lang['Animation background color'] = 'Animācijas fona krāsa';
+$lang['Color'] = 'Krāsa';
+$lang['You choose that mode for'] = 'Jūs izvēlaties šo režīmu ';
+$lang['one category'] = 'vienai kategorijai';
+$lang['all categories'] = 'visām kategorijām';
+$lang['severals categories'] = 'dažām kategorijām';
+$lang['Width has been updated'] = 'Platums ir atjaunināts';
+$lang['Height has been updated'] = 'Augstums ir atjaunināts';
+$lang['Background color of animation has been updated'] = 'Fona krāsa animācijai ir atjaunināta';
+$lang['This widget requires Flash Player 9 or better'] = 'Šī lieta prasa Flash Player 9 vai jaunāku';
+
+?>