Index: /extensions/event_cats/admin/template/autolog_new.tpl
===================================================================
--- /extensions/event_cats/admin/template/autolog_new.tpl	(revision 7834)
+++ /extensions/event_cats/admin/template/autolog_new.tpl	(revision 7835)
@@ -319,9 +319,10 @@
         _ implement PHP ;
         _ commit, and drink a pint!
+      {''|@translate}
     -->
   *}
   
   <fieldset>
-    <legend style = "font-weight:bold;">Date de validité</legend>
+    <legend style = "font-weight:bold;">{'Validity date'|@translate}</legend>
     <table style = "margin-left: 0px; text-align:left;">
       <tr>
@@ -331,9 +332,10 @@
             <label for = "ec_valid_date_on_id">
               <input type = "checkbox" name = "ec_valid_date_on" id = "ec_valid_date_on_id">
-              Activer
+              {'Activate'|@translate}
             </label>
           </p>
           <p style = "text-align:left;">
-            <input id = "ec_date_today_btn_id" type = "button" value = "Aujourd'hui" onclick = "">
+            <input id = "ec_date_today_btn_id" type = "button" value = "{'Now + 2 mn'|@translate}"
+             class = "submit" title = "{'Now button tooltip'|@translate}" onclick = "">
           </p>
           <p style = "text-align:left;">
@@ -350,17 +352,17 @@
             </select>
             <input id = "ec_validity_year_id" name = "ec_validity_year" type = "text" size = "4" maxlength = "4">
-            <input id = "ec_validity_time_id" name = "ec_validity_time" type = "text" size = "5" maxlength = "5">
+            <input id = "ec_validity_time_id" name = "ec_validity_time" type = "text" size = "5" maxlength = "5" title = "{'Hours field tooltip'|@translate}">
             <input id = "ec_linked_date_id" name = "ec_linked_date_id" type = "hidden" size = "10" disabled = "disabled">
           </p>
           <p style = "text-align:left;">
-            <input id = "ec_date_add_btn_id" type = "button" value = "Ajouter"
+            <input id = "ec_date_add_btn_id" type = "button" value = "{'Add'|@translate}" title = "{'Add button tooltip'|@translate}" class = "submit"
              onclick = "ec_add_time(document.getElementById('ec_date_add_val_id').value, document.getElementById('ec_date_add_kind_id').selectedIndex);">&nbsp;
             <input id = "ec_date_add_val_id" type = "text" size = "5" maxlength = "5" value = "">&nbsp;
             <select id = "ec_date_add_kind_id" name = "ec_date_add_kind">
-              <option label = "minute(s)" value = "minutes">minute(s)</option>
-              <option label = "heure(s)"  value = "hours"  >heure(s)</option>
-              <option label = "jour(s)"   value = "days"   >jour(s)</option>
-              <option label = "mois"      value = "months" >mois</option>
-              <option label = "année(s)"  value = "years"  >année(s)</option>
+              <option label = "{'Minutes'|@translate}" value = "minutes">{'Minutes'|@translate}</option>
+              <option label = "{'Hours'|@translate}"   value = "hours"  >{'Hours'|@translate}</option>
+              <option label = "{'Days'|@translate}"    value = "days"   >{'Days'|@translate}</option>
+              <option label = "{'Months'|@translate}"  value = "months" >{'Months'|@translate}</option>
+              <option label = "{'Years'|@translate}"   value = "years"  >{'Years'|@translate}</option>
             </select>
           </p>
@@ -369,8 +371,7 @@
               <tr>
                 <td style = "text-align:right; vertical-align:top; font-weight:bold;">
-                  <label for = "ec_notify_id">
+                  <label for = "ec_notify_id" title = "{'Notify label tooltip'|@translate}">
                     <input type = "checkbox" name = "ec_notify" id = "ec_notify_id" disabled = "disabled">
-                    Lorsque le code<br>
-                    a expiré, notifier
+                    {'Do notify'|@translate}
                   </label>
                 </td>
@@ -380,5 +381,5 @@
                       <label for = "ec_notify_user_id">
                         <input type = "checkbox" name = "ec_notify_user" id = "ec_notify_user_id">
-                        l'utilisateur
+                        {'The user'|@translate}
                       </label>
                     </li>
@@ -386,5 +387,5 @@
                       <label for = "ec_notify_webm_id">
                         <input type = "checkbox" name = "ec_notify_webm" id = "ec_notify_webm_id">
-                        le webmestre
+                        {'The webmaster'|@translate}
                       </label>
                     </li>
@@ -392,5 +393,5 @@
                       <label for = "ec_notify_admins_id">
                         <input type = "checkbox" name = "ec_notify_admins" id = "ec_notify_admins_id">
-                        tous les administrateurs
+                        {'All administrators'|@translate}
                       </label>
                     </li>
@@ -401,9 +402,9 @@
           </p>
           <p style = "display:none;">
-            <!-- jQuery datepicker : voir http://fr.piwigo.org/forum/viewtopic.php?id=19042 -->
+            <!-- jQuery datepicker: see (french) http://fr.piwigo.org/forum/viewtopic.php?id=19042 -->
             <select id = "ec_min_day_id" name = "ec_min_day">
               <option value = "0">--</option>
               {section name=day start=1 loop=32}
-                <option value = "{$smarty.section.day.index}" {if $smarty.section.day.index == 14} selected = "selected" {/if} >
+                <option value = "{$smarty.section.day.index}">
                   {$smarty.section.day.index}
                 </option>
@@ -411,14 +412,14 @@
             </select>
             <select id = "ec_min_month_id" name = "ec_min_month">
-              {html_options options=$month_list selected=11}
+              {html_options options=$month_list}
             </select>
-            <input id = "ec_min_year_id" name = "ec_min_year" type = "text" size = "4" maxlength = "4" value = "2010" >
+            <input id = "ec_min_year_id" name = "ec_min_year" type = "text" size = "4" maxlength = "4">
             <input id = "ec_min_date_id" name = "ec_min_date_id" type = "hidden" size = "10" disabled = "disabled">
           </p>
-          {* <!-- For tests purpose ; must be removed --> *}
+          {* <!-- For tests purpose; must be removed --> *}
           <p style = "text-align:left;">
             <span id = "ec_span_tst_id"></span>
           </p>
-          {* <!-- /For tests purpose ; must be removed --> *}
+          {* <!-- /For tests purpose; must be removed --> *}
         </td>
         
@@ -429,6 +430,5 @@
             <tr>
               <td style = "text-align:right; vertical-align:top; font-weight:bold;">
-                Page à affecter au<br>
-                code une fois expiré
+                {'Page once code outdated'|@translate}
               </td>
               <td style = "text-align:left;">
Index: /extensions/event_cats/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/en_UK/plugin.lang.php	(revision 7834)
+++ /extensions/event_cats/language/en_UK/plugin.lang.php	(revision 7835)
@@ -80,4 +80,22 @@
 $lang['Home']                      = 'Home';
 $lang['Access denied']             = 'Access denied';
+$lang['Validity date']             = 'Validity date';
+$lang['Activate']                  = 'Activate';
+$lang['Now + 2 mn']                = 'Now + 2 mn';
+$lang['Now button tooltip']        = 'Validity period can\'t be less than 1 mn. Considering processing time, 2 mn are required here.';
+$lang['Hours field tooltip']       = 'Format: hh:mm or h:m';
+$lang['Add']                       = 'Add';
+$lang['Add button tooltip']        = 'Add following period to above selected date';
+$lang['Minutes']                   = 'minute(s)';
+$lang['Hours']                     = 'hour(s)';
+$lang['Days']                      = 'day(s)';
+$lang['Months']                    = 'month(s)';
+$lang['Years']                     = 'year(s)';
+$lang['Do notify']                 = 'When the code has<br>expired, notify';
+$lang['Notify label tooltip']      = 'This checkbox is ticked when one of the next checkboxes is';
+$lang['The user']                  = 'the user';
+$lang['The webmaster']             = 'the webmaster';
+$lang['All administrators']        = 'all administrators';
+$lang['Page once code outdated']   = 'Page to use once<br>the code has expired';
 
 // Duplication page
Index: /extensions/event_cats/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 7834)
+++ /extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 7835)
@@ -80,4 +80,22 @@
 $lang['Home']                      = 'Accueil';
 $lang['Access denied']             = 'Accès refusé';
+$lang['Validity date']             = 'Date de validité';
+$lang['Activate']                  = 'Activer';
+$lang['Now + 2 mn']                = 'Maintenant + 2 mn';
+$lang['Now button tooltip']        = 'La période de validité est forcément d\'au moins 1 mn. Avec les temps de traitement, 2 mn sont nécessaires ici.';
+$lang['Hours field tooltip']       = 'Format : hh:mm ou h:m';
+$lang['Add']                       = 'Ajouter';
+$lang['Add button tooltip']        = 'Ajouter la période de temps choisie à la date ci-dessus';
+$lang['Minutes']                   = 'minute(s)';
+$lang['Hours']                     = 'heure(s)';
+$lang['Days']                      = 'jour(s)';
+$lang['Months']                    = 'mois';
+$lang['Years']                     = 'année(s)';
+$lang['Do notify']                 = 'Lorsque le code<br>a expiré, notifier';
+$lang['Notify label tooltip']      = 'Cette case est cochée lorsqu\'une des cases ci-contre l\'est';
+$lang['The user']                  = 'l\'utilisateur';
+$lang['The webmaster']             = 'le webmestre';
+$lang['All administrators']        = 'tous les administrateurs';
+$lang['Page once code outdated']   = 'Page à affecter au<br>code une fois expiré';
 
 // Duplication page