Index: extensions/photoWidget/language/nl_NL/description.txt
===================================================================
--- extensions/photoWidget/language/nl_NL/description.txt	(revision 7848)
+++ extensions/photoWidget/language/nl_NL/description.txt	(revision 7848)
@@ -0,0 +1,1 @@
+voeg een 3D animatie voor je foto's toe
Index: extensions/photoWidget/language/nl_NL/index.php
===================================================================
--- extensions/photoWidget/language/nl_NL/index.php	(revision 7848)
+++ extensions/photoWidget/language/nl_NL/index.php	(revision 7848)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/photoWidget/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/photoWidget/language/nl_NL/plugin.lang.php	(revision 7848)
+++ extensions/photoWidget/language/nl_NL/plugin.lang.php	(revision 7848)
@@ -0,0 +1,40 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | photoWidget  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// translate by Jacco Geul
+
+$lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'De plugin laat de foto\'s zien in 3D rond draaien met behulp van een flashfilmpje. Het werkt precies hetzelfde als normale categoriën, maar dan mooier en beter :).';
+$lang['You can choose that mode for displaying one, severals or all categories'] = 'Je kan een modus kiezen voor het weergeven van één, meerdere of alle categoriën.';
+$lang['Main configuration'] = 'Hoofd configuratie';
+$lang['All categories'] = 'Alle categoriën';
+$lang['Applicable categorie(s)'] = 'Categoriën van toepassing';
+$lang['Animation size'] = 'Animatie grootte';
+$lang['Animation background color'] = 'Animatie achtergrond kleur';
+$lang['Color'] = 'Kleur';
+$lang['You choose that mode for'] = 'Kies de modus';
+$lang['one category'] = 'één categorie';
+$lang['all categories'] = 'alle categoriën';
+$lang['severals categories'] = 'meerdere categoriën';
+$lang['Width has been updated'] = 'Breedte is aangepast';
+$lang['Height has been updated'] = 'Hoogte is aangepast';
+$lang['Background color of animation has been updated'] = 'Achtergrondkleur van de animatie is aangepast';
+$lang['This widget requires Flash Player 9 or better'] = 'Voor deze widget is Flash player 9 of hoger vereist'; 
+?>