Index: /trunk/admin/themes/default/template/check_integrity.tpl
===================================================================
--- /trunk/admin/themes/default/template/check_integrity.tpl	(revision 7851)
+++ /trunk/admin/themes/default/template/check_integrity.tpl	(revision 7852)
@@ -55,7 +55,33 @@
 
         <p>
+			{literal}
+			<script type="text/javascript">
+			jQuery(document).ready(function(){
+
+				jQuery("#checkAllLink").click(function () {
+					jQuery("#c13y input[type=checkbox]").attr('checked', true);
+					return false;
+				});
+
+				jQuery("#uncheckAllLink").click(function () {
+					jQuery("#c13y input[type=checkbox]").attr('checked', false);
+					return false;
+				});
+
+			});
+			function DeselectAll( formulaire )
+			{
+				var elts = formulaire.elements;
+				for(var i=0; i <elts.length; i++)
+				{
+					if (elts[i].type=='checkbox')
+						elts[i].checked = false;
+				}
+			}
+			</script>
+			{/literal}
           {if $c13y_show_submit_ignore}
-              <a href="#" onclick="SelectAll(document.getElementById('c13y')); return false;">{'Check all'|@translate}</a>
-            / <a href="#" onclick="DeselectAll(document.getElementById('c13y')); return false;">{'Uncheck all'|@translate}</a>
+              <a href="#" id="checkAllLink">{'Check all'|@translate}</a>
+            / <a href="#" id="uncheckAllLink">{'Uncheck all'|@translate}</a>
           {/if}
           {if isset($c13y_do_check)}
Index: /trunk/admin/themes/default/template/notification_by_mail.tpl
===================================================================
--- /trunk/admin/themes/default/template/notification_by_mail.tpl	(revision 7851)
+++ /trunk/admin/themes/default/template/notification_by_mail.tpl	(revision 7852)
@@ -1,4 +1,21 @@
 
 {include file='include/autosize.inc.tpl'}
+{literal}
+<script type="text/javascript">
+jQuery(document).ready(function(){
+
+	jQuery("#checkAllLink").click(function () {
+		jQuery("#notification_by_mail input[type=checkbox]").attr('checked', true);
+		return false;
+	});
+
+	jQuery("#uncheckAllLink").click(function () {
+		jQuery("#notification_by_mail input[type=checkbox]").attr('checked', false);
+		return false;
+	});
+
+});
+</script>
+{/literal}
 
 <div class="titrePage">
@@ -98,6 +115,6 @@
       </table>
       <p>
-          <a href="#" onclick="SelectAll(document.getElementById('notification_by_mail')); return false;">{'Check all'|@translate}</a>
-        / <a href="#" onclick="DeselectAll(document.getElementById('notification_by_mail')); return false;">{'Uncheck all'|@translate}</a>
+          <a href="#" id="checkAllLink">{'Check all'|@translate}</a>
+        / <a href="#" id="uncheckAllLink">{'Uncheck all'|@translate}</a>
       </p>
     </fieldset>
Index: /trunk/themes/default/js/rating.js
===================================================================
--- /trunk/themes/default/js/rating.js	(revision 7851)
+++ /trunk/themes/default/js/rating.js	(revision 7852)
@@ -83,5 +83,4 @@
 					var t = gRatingOptions.ratingSummaryText;
 					var args =[result.average, result.count], idx = 0, rexp = new RegExp( /%\.?\d*[sdf]/ );
-					//_xxx = t.match( rexp );
 					while (idx<args.length) t=t.replace(rexp, args[idx++]);
 					gRatingOptions.ratingSummaryElement.innerHTML = t;
Index: /trunk/themes/default/js/scripts.js
===================================================================
--- /trunk/themes/default/js/scripts.js	(revision 7851)
+++ /trunk/themes/default/js/scripts.js	(revision 7852)
@@ -1,32 +1,2 @@
-function SelectAll( formulaire )
-{
-var elts = formulaire.elements;
-for(var i=0; i <elts.length; i++)
-{
-	if (elts[i].type=='checkbox')
-		elts[i].checked = true;
-}
-}
-
-function DeselectAll( formulaire )
-{
-var elts = formulaire.elements;
-for(var i=0; i <elts.length; i++)
-{
-	if (elts[i].type=='checkbox')
-		elts[i].checked = false;
-}
-}
-
-function Inverser( formulaire )
-{
-var elts = formulaire.elements;
-for(var i=0; i <elts.length; i++)
-{
-	if (elts[i].type=='checkbox')
-		elts[i].checked = !elts[i].checked;
-}
-}
-
 function phpWGOpenWindow(theURL,winName,features)
 {
@@ -63,5 +33,5 @@
 	this.options = {
 		method: "GET",
-		async:  true,
+		async: true,
 		onFailure: null,
 		onSuccess: null
Index: /trunk/themes/default/print.css
===================================================================
--- /trunk/themes/default/print.css	(revision 7851)
+++ /trunk/themes/default/print.css	(revision 7852)
@@ -10,5 +10,5 @@
 }
 
-.content {
-	margin: 0;
+BODY#theCategoryPage .content {
+	margin: 0 !important; 
 }