Index: /extensions/bbcode_bar/language/lv_LV/description.txt
===================================================================
--- /extensions/bbcode_bar/language/lv_LV/description.txt	(revision 7854)
+++ /extensions/bbcode_bar/language/lv_LV/description.txt	(revision 7854)
@@ -0,0 +1,1 @@
+Atļaut lietot BBCode komentāriem un aprakstiem.
Index: /extensions/bbcode_bar/language/lv_LV/index.php
===================================================================
--- /extensions/bbcode_bar/language/lv_LV/index.php	(revision 7854)
+++ /extensions/bbcode_bar/language/lv_LV/index.php	(revision 7854)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/bbcode_bar/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/lv_LV/plugin.lang.php	(revision 7854)
+++ /extensions/bbcode_bar/language/lv_LV/plugin.lang.php	(revision 7854)
@@ -0,0 +1,50 @@
+<?php
+	global $lang;
+	 $lang['admin_liste']         = "Saraksts :";
+
+     $lang['p_help']         = "Paragrāfs : [p]Paragraph[/p]";
+     $lang['b_help']         = "Boldēts : [b]bold[/b]";
+     $lang['i_help']         = "Sīpraksts : [i]italic[/i]";
+     $lang['u_help']         = "Pasvītrots : [u]underline[/u]";
+     $lang['s_help']         = "Svītrains : [s]striped [/s]";
+
+     $lang['center_help']     = "Centrēts : [center]center[/center]";
+     $lang['right_help']     = "Līdzināts pa labi : [right]right[/right]";
+     $lang['ul_help']         = "Nesakārtots saraksts : [ul][li]element[/li][/ul]";
+     $lang['ol_help']         = "Sakārtots Saraksts : [ol][li]element[/li][/ol]";
+
+     $lang['quote_help']     = "Pēdiņas : [quote]quote[/quote]";
+     $lang['img_help']         = "Att : [img]img[/img]";
+     $lang['url_help']         = "URL : [url=URL]Title[/url]";
+     $lang['mail_help']         = "E-pasts : [email]Email[/email]";
+
+     $lang['size_help']         = "Fonta lielums : [size=X]text[/size]";
+     $lang['tiny']         = "Sīks";
+     $lang['small']         = "Mazs";
+     $lang['normal']     = "Normāls";
+     $lang['large']         = "Liels";
+     $lang['huge']         = "Milzīgs";
+
+     $lang['fc_help']     = "Fonta krāsa : [color=color]text[/color]";
+     $lang['default_help']    = "Pēc noklusējuma";
+     $lang['maroon_help']     = "Kastaņbrūna";
+     $lang['red_help']         = "Sarkana";
+     $lang['orange_help']     = "Oranža";
+     $lang['brown_help']     = "Brūna";
+     $lang['yellow_help']     = "Dzeltena";
+     $lang['green_help']     = "Zaļa";
+     $lang['olive_help']     = "Olīva";
+     $lang['cyan_help']         = "Ciāna";
+     $lang['blue_help']         = "Zila";
+     $lang['darkblue_help']    = "Tumši Zila";
+     $lang['indigo_help']     = "Indigo";
+     $lang['violet_help']     = "Violēta";
+     $lang['white_help']     = "Balta";
+     $lang['black_help']     = "Melna";
+
+     $lang['preview']         = "Priekšskats";
+
+     $lang['help']            = "Pavisam viegli: Formatējumu iespējams pielietot tieši izvēlētajam tekstam.";
+     $lang['repicon']        = "Ikonu mape.";
+     $lang['bbcb_config_saved'] = "Konfigurācija saglabāta";
+?>