Index: /extensions/event_cats/admin/autolog_new.inc.php
===================================================================
--- /extensions/event_cats/admin/autolog_new.inc.php	(revision 7863)
+++ /extensions/event_cats/admin/autolog_new.inc.php	(revision 7864)
@@ -119,4 +119,5 @@
   "))) == 0),
   'month_list'             => $month_list,
+  'ec_days'                => $lang['day'],
   'ec_current_day'         => intval(date('j')),
   'ec_current_month'       => intval(date('n')),
Index: /extensions/event_cats/admin/template/autolog_new.js
===================================================================
--- /extensions/event_cats/admin/template/autolog_new.js	(revision 7863)
+++ /extensions/event_cats/admin/template/autolog_new.js	(revision 7864)
@@ -17,4 +17,5 @@
 var ec_selected_old_group       = false;
 var ec_validity_on              = false;
+var ec_validity_day_length      = 0;
 var ec_err                      = '';
 var ec_selected_img             = '';
@@ -43,4 +44,5 @@
 var ec_duplic_codes             = new Array();
 var ec_lists_temp               = new Array();
+var ec_validity_days            = new Array();
 var ec_lists                    = new Array();
     ec_lists['code']            = new Array();
@@ -697,25 +699,31 @@
 
 function ec_get_validity() {
+  validity_date.setMilliseconds(0);
+  validity_date.setSeconds(0);
+  validity_date.setMinutes(de('ec_validity_time_id').value.match(/\d+$/));
+  validity_date.setHours(de('ec_validity_time_id').value.match(/^\d+/));
+  validity_date.setDate(de('ec_validity_day_id').selectedIndex);
+  validity_date.setMonth(de('ec_validity_month_id').selectedIndex - 1);
   validity_date.setFullYear(de('ec_validity_year_id').value);
-  validity_date.setMonth(de('ec_validity_month_id').selectedIndex - 1);
-  validity_date.setDate(de('ec_validity_day_id').selectedIndex);
-  validity_date.setHours(de('ec_validity_time_id').value.match(/^\d+/));
-  validity_date.setMinutes(de('ec_validity_time_id').value.match(/\d+$/));
+}
+
+function ec_set_validity() {
+  validity_date.setMilliseconds(0);
   validity_date.setSeconds(0);
-  validity_date.setMilliseconds(0);
-}
-
-function ec_set_validity() {
-  de("ec_validity_year_id").value          = validity_date.getFullYear();
-  de("ec_validity_month_id").selectedIndex = validity_date.getMonth() + 1;
-  de("ec_validity_day_id").selectedIndex   = validity_date.getDate();
-  de("ec_validity_time_id").value          =
+  de('ec_validity_year_id').value          = validity_date.getFullYear();
+  de('ec_validity_month_id').selectedIndex = validity_date.getMonth() + 1;
+  de('ec_validity_day_id').selectedIndex   = validity_date.getDate();
+  de('ec_validity_time_id').value          =
    ec_add_0(validity_date.getHours()) +
-   ":" +
+   ':' +
    ec_add_0(validity_date.getMinutes());
+  de('ec_validity_sel_day').value          =
+   ec_validity_days[validity_date.getDay()];
 }
 
 function ec_validity_check_min() {
   var tp = new Date();
+  tp.setMilliseconds(0);
+  tp.setSeconds(0);
   maintenant = tp;
   tp.setTime(maintenant.getTime() + 120000); // PHP will not allow that
@@ -728,14 +736,13 @@
   de("ec_min_day_id").selectedIndex   = tp.getDate();
   ec_get_validity();
-  if (Number(validity_date.getTime()) < Number(tp.getTime())) {
-    validity_date = tp;
-    ec_set_validity();
-  }
+  if (Number(validity_date.getTime()) < Number(tp.getTime()))
+   validity_date = tp;
+  ec_set_validity();
 }
 
 function ec_mark_now() {
   maintenant = new Date();
-  validity_date.setTime(maintenant.getTime() + 120000); // Validity
-  // [date & time] cannot be less than two minutes
+  validity_date.setTime(maintenant.getTime() + 120000); // See two minutes
+   // explanation in function ec_validity_check_min
   ec_set_validity();
 }
@@ -782,9 +789,6 @@
   var ts = 0;
   maintenant = tp;
-  tp.setTime(maintenant.getTime() + 120000); // PHP will not allow that
-  // [date & time] is less than [one minute more than current [date & time]].
-  // Thus considering processing time, JavaScript should not allow a date
-  // less than [two minutes more than current [date & time]] (due to the fact
-  // that base unit for this value is one minute).
+  tp.setTime(maintenant.getTime() + 120000); // See two minutes
+   // explanation in function ec_validity_check_min
   ec_get_validity();
   validity_date.setHours(v);
@@ -832,4 +836,10 @@
   de('ec_input_action_home').checked              = 'checked';
   de('ec_input_action_home').checked              = '';
+  for (var i = 0; i <= 6; i++)
+   ec_validity_day_length =
+    (ec_validity_days[i].length > ec_validity_day_length) ?
+     ec_validity_days[i].length : ec_validity_day_length;
+  ec_validity_day_length++;
+  de('ec_validity_sel_day').size                  = ec_validity_day_length;
   ec_mark_now();
   ec_validity_set_min();
@@ -846,4 +856,7 @@
       ec_validity_check_min();
     });
+    $('#ec_validity_sel_day').css(
+      'backgroundColor', $('#content').css('backgroundColor')
+    );
   });
   
Index: /extensions/event_cats/admin/template/autolog_new.tpl
===================================================================
--- /extensions/event_cats/admin/template/autolog_new.tpl	(revision 7863)
+++ /extensions/event_cats/admin/template/autolog_new.tpl	(revision 7864)
@@ -317,5 +317,5 @@
         _ check if initialize validity date with JS is doable ;   DONE
         _ check if ' onchange = "ec_update_ts();" ' can be used ; DONE
-        _ implement JS ;
+        _ implement JS ; DONE
         _ implement PHP ;
         _ commit, and drink a pint!
@@ -335,4 +335,23 @@
               {'Activate'|@translate}
             </label>
+          </p>
+          <p style = "text-align:left;{* padding:0.5em; border:1px solid #666666; *}">
+            <input type = "text" id = "ec_validity_sel_day" style = "text-align:right; border:none;" disabled = "disabled">&nbsp;
+            <select id = "ec_validity_day_id" name = "ec_validity_day" class = "ec_datepicker">
+              <option value = "0">--</option>
+              {section name=day start=1 loop=32}
+                <option value = "{$smarty.section.day.index}">
+                  {$smarty.section.day.index}
+                </option>
+              {/section}
+            </select>
+            <select id = "ec_validity_month_id" name = "ec_validity_month" class = "ec_datepicker">
+              {html_options options=$month_list}
+            </select>
+            <input id = "ec_validity_year_id" name = "ec_validity_year" type = "text" size = "4"
+             maxlength = "4" style = "text-align:right; " class = "ec_datepicker">
+            <input id = "ec_validity_time_id" name = "ec_validity_time" type = "text" class = "ec_datepicker"
+             size = "5" maxlength = "5" title = "{'Hours field tooltip'|@translate}" style = "text-align:right; ">
+            <input id = "ec_linked_date_id" name = "ec_linked_date_id" type = "hidden" size = "10" disabled = "disabled">
           </p>
           <p style = "text-align:left;">
@@ -348,21 +367,4 @@
               {/section}
             </select>
-          </p>
-          <p style = "text-align:left;">
-            <select id = "ec_validity_day_id" name = "ec_validity_day" class = "ec_datepicker">
-              <option value = "0">--</option>
-              {section name=day start=1 loop=32}
-                <option value = "{$smarty.section.day.index}">
-                  {$smarty.section.day.index}
-                </option>
-              {/section}
-            </select>
-            <select id = "ec_validity_month_id" name = "ec_validity_month" class = "ec_datepicker">
-              {html_options options=$month_list}
-            </select>
-            <input id = "ec_validity_year_id" name = "ec_validity_year" type = "text" size = "4" maxlength = "4" style = "text-align:right;" class = "ec_datepicker">
-            <input id = "ec_validity_time_id" name = "ec_validity_time" type = "text" class = "ec_datepicker"
-             size = "5" maxlength = "5" title = "{'Hours field tooltip'|@translate}" style = "text-align:right;">
-            <input id = "ec_linked_date_id" name = "ec_linked_date_id" type = "hidden" size = "10" disabled = "disabled">
           </p>
           <p style = "text-align:left;">
@@ -490,5 +492,4 @@
   ec_is_creation                          = {if $ec_is_creation}true{else}false{/if};
   ec_validity_on                          = {if $ec_validity_on}true{else}false{/if};
-  valid_timestamp                         = 0{$valid_timestamp};
   ec_up_code_lbl_forced_txt               = "{'Forced'|@translate}";
   ec_JS_message['ec_gen_user_act_miss']   = "{'ec_gen_user_act_miss'|@translate|@escape:javascript}";
@@ -517,6 +518,9 @@
   {/if}
   {foreach from = $ec_lists.ec_table item = ec_val name = listloop}
-    ec_lists_temp[{$smarty.foreach.listloop.index}]  = 
+    ec_lists_temp[{$smarty.foreach.listloop.index}] =
      "{$ec_val.id};{$ec_val.code};{$ec_val.user_id};{$ec_val.action};{$ec_val.arg1};{$ec_val.arg2};{$ec_val.forced};{$ec_val.comment}";
+  {/foreach}
+  {foreach from = $ec_days item = ec_day name = listloop}
+    ec_validity_days[{$smarty.foreach.listloop.index}] = "{$ec_day}";
   {/foreach}
   ec_build_ec_lists();
Index: /extensions/event_cats/admin/template/footer.inc.tpl
===================================================================
--- /extensions/event_cats/admin/template/footer.inc.tpl	(revision 7863)
+++ /extensions/event_cats/admin/template/footer.inc.tpl	(revision 7864)
@@ -11,5 +11,5 @@
     ec_help_banner_in_foot = true;
   //--></script>
-  <div id = "ec_help_banner0" style = "border-top: 1px solid #000000; border-bottom: 1px solid #000000;">
+  <div id = "ec_help_banner0" style = "border-top: 1px solid #666666; border-bottom: 1px solid #666666;">
     <div id = "ec_help_banner1" style = "text-align:left; display:block;"></div>
   </div>
Index: /extensions/event_cats/admin/template/header.inc.tpl
===================================================================
--- /extensions/event_cats/admin/template/header.inc.tpl	(revision 7863)
+++ /extensions/event_cats/admin/template/header.inc.tpl	(revision 7864)
@@ -29,5 +29,5 @@
 {if !isset($ec_help_banner_in_foot)}
   <div id = "ec_help_banner0">
-    <div style = "text-align:right; font-style:italic; border-top: 1px solid #000000;">
+    <div style = "text-align:right; font-style:italic; border-top: 1px solid #666666;">
       {'Help banner'|@translate}&nbsp;
       <label for = "ec_help_banner_1" onclick = "ec_mark_help('ec_help_banner_1');">
@@ -41,5 +41,5 @@
       </label>
     </div>
-    <span id = "ec_help_banner1" style = "text-align:left; display:block; border-bottom: 1px solid #000000;"></span>
+    <span id = "ec_help_banner1" style = "text-align:left; display:block; border-bottom: 1px solid #666666; padding-bottom:0.5em;"></span>
   </div>
 {/if}