Index: /trunk/admin/themes/clear/theme.css
===================================================================
--- /trunk/admin/themes/clear/theme.css	(revision 7868)
+++ /trunk/admin/themes/clear/theme.css	(revision 7869)
@@ -101,13 +101,13 @@
 SPAN.pwgScreen { font-style:italic; border-bottom:1px dotted #666}
 
-.content ul.thumbnails span.wrap2:hover { background-color:#eee; border:1px solid #0cc9c; color:#999; }
-.content ul.thumbnails span.wrap2 { border:1px solid #999; padding: 4px; }
-.content ul.thumbnails span.wrap2 { -moz-border-radius-bottomleft:4px; -moz-border-radius-bottomright:4px; -moz-border-radius-topleft:4px; -moz-border-radius-topright:4px; }
-.content ul.thumbnails span.wrap1 { margin:0 12px 5px; }
+UL.thumbnails span.wrap2:hover { background-color:#eee; border:1px solid #0cc9c; color:#999; }
+UL.thumbnails span.wrap2 { border:1px solid #999; padding: 4px; }
+UL.thumbnails span.wrap2 { -moz-border-radius:4px; }
+UL.thumbnails span.wrap1 { margin:0 12px 5px; }
 
 /* borders */
 fieldset { border: 2px solid #ddd; }
 TEXTAREA { cursor:text; font-size: 13px; }
-.content UL.thumbnails SPAN.wrap2 {
+UL.thumbnails SPAN.wrap2 {
   border: 1px solid #555555;  /* thumbnails border color and style */
   border-radius: 4px 4px; /* round corners with CSS3 compliant browsers */
Index: /trunk/admin/themes/default/content.css
===================================================================
--- /trunk/admin/themes/default/content.css	(revision 7868)
+++ /trunk/admin/themes/default/content.css	(revision 7869)
@@ -24,3 +24,3 @@
 
   /* not used but should be */
-body#thePopuphelpPage .content { margin: 1em; }
+#thePopuphelpPage .content { margin: 1em; }
Index: /trunk/admin/themes/default/default-layout.css
===================================================================
--- /trunk/admin/themes/default/default-layout.css	(revision 7868)
+++ /trunk/admin/themes/default/default-layout.css	(revision 7869)
@@ -772,5 +772,5 @@
   min-width: 60em;  /* ~ 3* #menubar width */
 }
-BODY#thePopuphelpPage {
+#thePopuphelpPage {
   min-width: 0;
 }
@@ -780,11 +780,11 @@
 
 /* Set some sizes according to your maximum thumbnail width and height */
-.content UL.thumbnails SPAN,
-.content UL.thumbnails SPAN.wrap2 A,
-.content UL.thumbnails LABEL,
+UL.thumbnails SPAN,
+UL.thumbnails SPAN.wrap2 A,
+UL.thumbnails LABEL,
 .content DIV.thumbnailCategory DIV.illustration {
   width: 140px;      /* max thumbnail width + 2px */
 }
-.content UL.thumbnails SPAN.wrap2,
+UL.thumbnails SPAN.wrap2,
 .content DIV.thumbnailCategory DIV.description {
   height: 140px;    /* max thumbnail height + 2px */
@@ -798,5 +798,5 @@
 
 /* Set defaults for thumbnails legend */
-.content UL.thumbnails SPAN.thumbLegend {
+UL.thumbnails SPAN.thumbLegend {
   display: block;  /* display: none; if you don't want legend */
   height: 4em;    /* legend height (don't set auto to be Gecko friendly)*/
Index: /trunk/admin/themes/default/fix-ie5-ie6.css
===================================================================
--- /trunk/admin/themes/default/fix-ie5-ie6.css	(revision 7868)
+++ /trunk/admin/themes/default/fix-ie5-ie6.css	(revision 7869)
@@ -16,5 +16,5 @@
 
 /* fix IE with another layout for thumbnails */
-.content UL.thumbnails SPAN.wrap2 {
+UL.thumbnails SPAN.wrap2 {
   display: block;
   position: relative;
@@ -22,5 +22,5 @@
 }
 
-.content UL.thumbnails IMG.thumbnail {
+UL.thumbnails IMG.thumbnail {
   position: relative;
   top: -50%;  /* Is this following hacking technic required ? */
@@ -29,5 +29,5 @@
   /**/
 }
-.content UL.thumbnails INPUT {
+UL.thumbnails INPUT {
   position: absolute;
   left: 2px;
Index: /trunk/admin/themes/default/thumbnails.css
===================================================================
--- /trunk/admin/themes/default/thumbnails.css	(revision 7868)
+++ /trunk/admin/themes/default/thumbnails.css	(revision 7869)
@@ -1,9 +1,9 @@
-.content UL.thumbnails {
+UL.thumbnails {
   margin: 0; padding: 0; list-style: none;
   text-align: center;	/* to center the whole collection in .content */
   float: left;
 }
-.content UL.thumbnails LI { display: inline }
-.content ul.thumbnails li.rank-of-image { 
+UL.thumbnails LI { display: inline }
+UL.thumbnails li.rank-of-image { 
   float: left;
   background-color: #111;
@@ -17,5 +17,5 @@
   margin: 10px;
 }
-.content ul.thumbnails li.rank-of-image img {
+UL.thumbnails li.rank-of-image img {
   margin: 0 20px;
   padding: 4px 2px;
@@ -30,5 +30,5 @@
   position:absolute;
 }
-.content ul.thumbnails li.rank-of-image input {
+UL.thumbnails li.rank-of-image input {
   height: 12px; 
   width: 50px;
@@ -36,5 +36,5 @@
   top: 4px;  
 }
-.content UL.thumbnails SPAN.wrap1 {
+UL.thumbnails SPAN.wrap1 {
   margin: 0 5px 5px 5px;
   display: table-cell; display: inline-table;
@@ -43,19 +43,19 @@
   text-align: center;		/* to center the thumbnail and legend in Geko/Opera */
 }
-.content UL.thumbnails SPAN.wrap2 {
+UL.thumbnails SPAN.wrap2 {
   margin: 0;			/* important reset the margins */
   display: table-cell;		/* block prevents vertical-align here */
   vertical-align: middle;	/* Ok with Opera and Geko not IE6 */
 }
-.content UL.thumbnails LABEL { display: block; border-bottom: none; }
-.content UL.thumbnails IMG {
+UL.thumbnails LABEL { display: block; border-bottom: none; }
+UL.thumbnails IMG {
   margin-bottom: -4px;  /* why ??? something wrong with Geko and Opera ignored by IE6*/
 }
-.content UL.thumbnails LABEL { position: relative; }
-.content UL.thumbnails INPUT {
+UL.thumbnails LABEL { position: relative; }
+UL.thumbnails INPUT {
   position: relative;	/* <= Opera can handle relative here */
   top: -20px;
 }
-:root .content UL.thumbnails INPUT { /* hide from Opera */
+:root UL.thumbnails INPUT { /* hide from Opera */
   position: absolute;	/* <= Opera hide 1 checkbox over 2 !!! */
   left: 2px; top: 2px;
Index: /trunk/admin/themes/roma/theme.css
===================================================================
--- /trunk/admin/themes/roma/theme.css	(revision 7868)
+++ /trunk/admin/themes/roma/theme.css	(revision 7869)
@@ -77,8 +77,8 @@
 SPAN.pwgScreen { font-style:italic; border-bottom:1px dotted #666}
 
-.content ul.thumbnails span.wrap2:hover { background-color:#111; border:1px solid #FF3363; color:#666; }
-.content ul.thumbnails span.wrap2 { border:1px solid #666; padding: 4px; }
-.content ul.thumbnails span.wrap2 { -moz-border-radius-bottomleft:4px; -moz-border-radius-bottomright:4px; -moz-border-radius-topleft:4px; -moz-border-radius-topright:4px; }
-.content ul.thumbnails span.wrap1 { margin:0 12px 5px; }
+UL.thumbnails span.wrap2:hover { background-color:#111; border:1px solid #FF3363; color:#666; }
+UL.thumbnails span.wrap2 { border:1px solid #666; padding: 4px; }
+UL.thumbnails span.wrap2 { -moz-border-radius:4px;  }
+UL.thumbnails span.wrap1 { margin:0 12px 5px; }
 /* .throw, */ td h3 {
  background-image: url(images/fillet.png); background-repeat: repeat-x; }
@@ -88,5 +88,5 @@
 input:focus, select:focus, textarea:focus, input.focus, form .focus { background-color:#444;color: #999; }
 TEXTAREA { cursor:text; font-size: 13px; }
-.content UL.thumbnails SPAN.wrap2 {
+UL.thumbnails SPAN.wrap2 {
   border: 1px solid #aaaaaa;  /* thumbnails border color and style */
   border-radius: 4px 4px; /* round corners with CSS3 compliant browsers */
Index: /trunk/themes/Sylvia/theme.css
===================================================================
--- /trunk/themes/Sylvia/theme.css	(revision 7868)
+++ /trunk/themes/Sylvia/theme.css	(revision 7869)
@@ -8,5 +8,5 @@
 #comments form.filter input[type="submit"] { margin-top:1.8em; }
 /*  Sylvia Theme is close to the Roma Admin theme */
-BODY, H1, H3, DT, INPUT.rateButtonSelected, H2, #menubar DT { 
+BODY, H1, H3, DT, .rateButtonSelected, H2, #menubar DT { 
 	color:#666; 
 }
@@ -176,8 +176,8 @@
 }
 
-.content { 
+#theCategoryPage .content { 
 	border: 1px solid #000; 
 	border-top: 0; 
-	margin:21px 7px 0 290px; 
+	margin:21px 7px 0 290px !important; 
 	padding-top:7px; 
 }
@@ -293,9 +293,9 @@
 	color:#999; 
 }
-.content UL.thumbnails SPAN.wrap2 {
+UL.thumbnails SPAN.wrap2 {
 	border: 1px solid #666;	/* thumbnails border color and style */
 	border-radius: 4px 4px;	/* round corners with CSS3 compliant browsers */ 
 }
-.content UL.thumbnails SPAN.wrap2:hover { 
+UL.thumbnails SPAN.wrap2:hover { 
 	color:#666;
 	background-color:#111; 
@@ -316,5 +316,5 @@
 	border:1px solid #666;
 }
-A, INPUT.rateButton { 
+A, .rateButton { 
 	color:#f70; 
 	border-width: 0; 
Index: /trunk/themes/clear/theme.css
===================================================================
--- /trunk/themes/clear/theme.css	(revision 7868)
+++ /trunk/themes/clear/theme.css	(revision 7869)
@@ -2,5 +2,5 @@
 /* text color */
 BODY, H1, H2, H3, DT,
-INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
+.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
 	color:#696969;	/* dimgray */
 }
@@ -37,9 +37,9 @@
 }
 
-.content UL.thumbnails SPAN.wrap2 {
+UL.thumbnails SPAN.wrap2 {
   border: 1px solid #aaaaaa;	/* thumbnails border color and style */
 }
 
-.content UL.thumbnails SPAN.wrap2:hover,
+UL.thumbnails SPAN.wrap2:hover,
 .content UL.thumbnailCategories DIV.thumbnailCategory:hover,
 .content UL.thumbnailCategories DIV.thumbnailCategory:hover A {
@@ -50,10 +50,10 @@
 
 /* links */
-A, INPUT.rateButton {
+A, .rateButton {
     color: #005e89;
     background: transparent;
 }
 
-A:hover, INPUT.rateButton:hover {
+A:hover, .rateButton:hover {
     color: #858460;
 }
Index: /trunk/themes/dark/theme.css
===================================================================
--- /trunk/themes/dark/theme.css	(revision 7868)
+++ /trunk/themes/dark/theme.css	(revision 7869)
@@ -2,5 +2,5 @@
 /* text color */
 BODY, H1, H3,
-INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
+.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
 	color:#d0d0d0;
 }
@@ -52,9 +52,9 @@
 }
 
-.content UL.thumbnails SPAN.wrap2 {
+UL.thumbnails SPAN.wrap2 {
 	border: 1px solid #aaaaaa;	/* thumbnails border color and style */
 }
 
-.content UL.thumbnails SPAN.wrap2:hover,
+UL.thumbnails SPAN.wrap2:hover,
 .content UL.thumbnailCategories DIV.thumbnailCategory:hover,
 .content UL.thumbnailCategories DIV.thumbnailCategory:hover A {
@@ -66,7 +66,7 @@
 
 /* links */
-A, INPUT.rateButton {
+A, .rateButton {
 	color: #fff;
-	border: none;
+	border: 0;
 }
 
Index: /trunk/themes/default/fix-ie5-ie6.css
===================================================================
--- /trunk/themes/default/fix-ie5-ie6.css	(revision 7868)
+++ /trunk/themes/default/fix-ie5-ie6.css	(revision 7869)
@@ -10,11 +10,11 @@
 
 /* fix IE with another layout for thumbnails */
-.content UL.thumbnails SPAN.wrap2 {
+UL.thumbnails SPAN.wrap2 {
   display: block;
   position: relative;
   text-align: left;
 }
-.content UL.thumbnails SPAN.wrap2 A,
-.content UL.thumbnails SPAN.wrap2 SPAN {
+UL.thumbnails SPAN.wrap2 A,
+UL.thumbnails SPAN.wrap2 SPAN {
   overflow: visible;
   position: absolute;
@@ -23,5 +23,5 @@
 }
 
-.content UL.thumbnails IMG.thumbnail {
+UL.thumbnails IMG.thumbnail {
   position: relative;
   top: -50%;
Index: /trunk/themes/default/fix-ie7.css
===================================================================
--- /trunk/themes/default/fix-ie7.css	(revision 7868)
+++ /trunk/themes/default/fix-ie7.css	(revision 7869)
@@ -1,11 +1,11 @@
 /* fix IE with another layout for thumbnails */
 
-.content UL.thumbnails SPAN.wrap2 {
+UL.thumbnails SPAN.wrap2 {
   display: block;
   position: relative;
   text-align: left;
 }
-.content UL.thumbnails SPAN.wrap2 A,
-.content UL.thumbnails SPAN.wrap2 SPAN {
+UL.thumbnails SPAN.wrap2 A,
+UL.thumbnails SPAN.wrap2 SPAN {
   overflow: visible;
   position: absolute;
@@ -14,5 +14,5 @@
 }
 
-.content UL.thumbnails IMG.thumbnail {
+UL.thumbnails IMG.thumbnail {
   position: relative;
   top: -50%;   
Index: /trunk/themes/default/print.css
===================================================================
--- /trunk/themes/default/print.css	(revision 7868)
+++ /trunk/themes/default/print.css	(revision 7869)
@@ -10,5 +10,5 @@
 }
 
-BODY#theCategoryPage .content {
+#theCategoryPage .content {
 	margin: 0 !important; 
 }
Index: /trunk/themes/default/theme.css
===================================================================
--- /trunk/themes/default/theme.css	(revision 7868)
+++ /trunk/themes/default/theme.css	(revision 7869)
@@ -96,5 +96,5 @@
 }
 
-BODY#theCategoryPage .content
+#theCategoryPage .content
 {
 	margin-left: 20em;  /* = #menubar width + 2em */
@@ -136,5 +136,5 @@
 }
 
- UL.categoryActions A IMG, UL.categoryActions A {
+UL.categoryActions A IMG, UL.categoryActions A {
 	border: 0;
 	margin-bottom: -5px;
@@ -189,5 +189,5 @@
 }
 
-DIV.calImg {
+.calImg {
 	overflow: hidden;
 	vertical-align: bottom;
@@ -196,5 +196,5 @@
 }
 
-.calImg img {
+.calImg IMG {
 	position: relative;
 	border: 0;
@@ -276,5 +276,5 @@
 
 /* Thumbnails */
-.content UL.thumbnails SPAN.thumbLegend {
+UL.thumbnails SPAN.thumbLegend {
 	font-size: 90%;
 	overflow: hidden;/* oversized legend is clipped */
@@ -282,5 +282,5 @@
 
 /* Thumbnail "elastic" layout */
-.content UL.thumbnails {
+UL.thumbnails {
 	margin: 0;
 	padding: 0;
@@ -288,7 +288,7 @@
 	text-align: center;	/* to center the whole collection in .content */
 }
-.content UL.thumbnails LI { display: inline }
-
-.content UL.thumbnails SPAN.wrap1 {
+UL.thumbnails LI { display: inline }
+
+UL.thumbnails SPAN.wrap1 {
 	margin: 0 5px 5px 5px;
 	display: table-cell; display: inline-table;
@@ -297,5 +297,5 @@
 	text-align: center;		/* to center the thumbnail and legend in Geko/Opera */
 }
-.content UL.thumbnails SPAN.wrap2 {
+UL.thumbnails SPAN.wrap2 {
 	margin: 0;			/* important reset the margins */
 	display: table-cell;/* block prevents vertical-align here */
@@ -305,10 +305,10 @@
 	-webkit-border-radius: 4px; /* Safari webkit project */
 }
-.content UL.thumbnails SPAN.wrap2 A,
-.content UL.thumbnails LABEL {
+UL.thumbnails SPAN.wrap2 A,
+UL.thumbnails LABEL {
 	display: block;
 	border-bottom: 0;
 }
-.content UL.thumbnails IMG {
+UL.thumbnails IMG {
 	margin-bottom: -4px;  /* why ??? something wrong with Geko and Opera ignored by IE6*/
 }
@@ -427,4 +427,9 @@
 	font-size: 0.8em;
 	font-family: Arial,Helvetica,sans-serif;
+	min-width: 60em;  /* ~ 3* #menubar width; width of the page before getting a scrollbar; IE6 doesn't get that*/
+}
+
+#thePopuphelpPage {
+	min-width: 0; /*reset the min width*/
 }
 
@@ -616,7 +621,7 @@
 
 UL.tagSelection LI {
-        display:inline-block;
-        width:150px!important;
-        overflow:hidden;
+	display:inline-block;
+	width:150px!important;
+	overflow:hidden;
 	white-space: nowrap;
 }
@@ -643,18 +648,19 @@
 
 /* Popup help page */
-BODY#thePopuphelpPage #copyright {
+#thePopuphelpPage #copyright {
 	display: none;
 }
 
-#theNotificationPage p { padding: 0.5em; }
-BODY#thePopuphelpPage .content P {
+#thePopuphelpPage P {
 	text-align: justify;
 	padding: 0.5em;
 }
 
-BODY#thePopuphelpPage .content OL LI,
-BODY#thePopuphelpPage .content UL LI
-{
+#thePopuphelpPage LI {
 	margin-bottom: 0.5em;
+}
+
+#theNotificationPage P {
+	padding: 0.5em;
 }
 
@@ -691,7 +697,10 @@
 #theHeader {text-align: center;}
 
-#theNotificationPage DL,
-#thePopuphelpPage DL { margin: 0 25px 25px; }
+#theNotificationPage DL, #thePopuphelpPage DL {
+	margin: 0 25px 25px; 
+}
+
 .content #comments UL.thumbnailCategories LI { width:99%; }
+
 /* jQuery datepicker */
 IMG.ui-datepicker-trigger {
@@ -699,21 +708,12 @@
 }
 
-/* Set minimum width of the page before getting a scrollbar */
-/* IE5 and IE6 don't get that */
-BODY {
-  min-width: 60em;  /* ~ 3* #menubar width */
-}
-BODY#thePopuphelpPage {
-  min-width: 0;
-}
-
 /* Set some sizes according to your maximum thumbnail width and height */
-.content UL.thumbnails SPAN,
-.content UL.thumbnails SPAN.wrap2 A,
-.content UL.thumbnails LABEL,
+UL.thumbnails SPAN,
+UL.thumbnails SPAN.wrap2 A,
+UL.thumbnails LABEL,
 .content DIV.thumbnailCategory DIV.illustration {
   width: 140px;      /* max thumbnail width + 2px */
 }
-.content UL.thumbnails SPAN.wrap2,
+UL.thumbnails SPAN.wrap2,
 .content DIV.thumbnailCategory DIV.description {
   height: 140px;    /* max thumbnail height + 2px */
@@ -727,5 +727,5 @@
 
 /* Set defaults for thumbnails legend */
-.content UL.thumbnails SPAN.thumbLegend {
+UL.thumbnails SPAN.thumbLegend {
   display: block;  /* display: none; if you don't want legend */
   height: 4em;    /* legend height (don't set auto to be Gecko friendly)*/
@@ -773,5 +773,5 @@
 
 /* rate buttons displayed like links */
-INPUT.rateButton, INPUT.rateButtonSelected, INPUT.rateButtonStarFull, INPUT.rateButtonStarEmpty {
+.rateButton, .rateButtonSelected, .rateButtonStarFull, .rateButtonStarEmpty {
 	color:inherit;
 	background-color:transparent !important;	/* Konqueror doesn't accept transparent here */
Index: /trunk/tools/local-layout.css
===================================================================
--- /trunk/tools/local-layout.css	(revision 7868)
+++ /trunk/tools/local-layout.css	(revision 7869)
@@ -5,5 +5,5 @@
 }
 
-.content UL.thumbnails SPAN.wrap2 {
+UL.thumbnails SPAN.wrap2 {
   height: 200px; /* max thumbnail height + 2px */
 }