Index: /extensions/piclens/language/lv_LV/description.txt
===================================================================
--- /extensions/piclens/language/lv_LV/description.txt	(revision 7870)
+++ /extensions/piclens/language/lv_LV/description.txt	(revision 7870)
@@ -0,0 +1,1 @@
+Aktivēt Cooliris/Piclens (+3D wall) Piwigo galerijā
Index: /extensions/piclens/language/lv_LV/index.php
===================================================================
--- /extensions/piclens/language/lv_LV/index.php	(revision 7870)
+++ /extensions/piclens/language/lv_LV/index.php	(revision 7870)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piclens/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/piclens/language/lv_LV/plugin.lang.php	(revision 7870)
+++ /extensions/piclens/language/lv_LV/plugin.lang.php	(revision 7870)
@@ -0,0 +1,233 @@
+<?php
+/*
+ * Plugin Name: CoolIris-Piclens
+ * File :  plugin.lang.php
+* Lang : LV 
+ */
+
+// Piclenslite button
+$lang['piclens_button']                     = 'Skatīt slaidrādi';
+
+
+// Admin page
+$lang['piclens_config_tab']                 = 'Konfigurācija';
+$lang['piclens_rssfeed_tab']             = 'RSS Padeve';
+$lang['piclens_3dwallconfig_tab']         = 'PiclensWall (sienas) Konfigurācija';
+
+//
+$lang['piclens_admin_title']             = 'Cooliris/Piclens Spraudņa Konfigurācija';
+$lang['piclens_admin_submit']            = 'Saglabāt';
+$lang['piclens_admin_saveOK']             = 'Cooliris-Piclens Konfigurācija saglabāta';
+$lang['piclens_admin_saveERR1']            = 'crossdomain.xml fails nav atrasts';
+$lang['piclens_admin_saveERR2']            = 'Kļūda kopējot failu';
+$lang['piclens_admin_saveERR3']            = 'crossdomain.xml fails jau eksistē';
+$lang['piclens_admin_saveOK2']            = 'crossdomain.xml fails ir sekmīgi iekopēts web lapas pamatmapē';
+$lang['piclens_admin_saveERR4']            = 'Cooliris 3D Wall ir atspējots, tāpēc ka ir uzinstalēta PWG pakete';
+
+$lang['piclens_admin_restoreOK']        = 'Parameteri Konfigurācijas failā (%s) ir ieglabāti Datu Bāzē';
+$lang['piclens_admin_restoreKO']        = 'Trūkst Konfigurācijas Fails (%s)';
+$lang['piclens_admin_savefileOK']        = 'Parameteri ieglabāti konfigurācijas failā (%s)';
+$lang['piclens_admin_savefileWN']        = 'Esošais konfigurācijas fails (%s) tika izdzēsts';
+$lang['piclens_admin_restore']            = 'Atgūt parametrus no faila';
+$lang['piclens_admin_savefile']            = 'Saglabāt parametrus failā';
+
+$lang['piclens_cfg_title']                 = 'Piclens : Konfigurācija';
+$lang['piclens_cfg_piclens_actived']    = 'Iespējot Cooliris/Piclens spraudni';
+$lang['piclens_cfg_recursiv_actived']    = 'Rekursijas iespējošana apakškategorijām';
+$lang['piclens_cfg_root_actived']        = 'Piclens iespējošana visai Galerijai (Mājas galerijā)';
+$lang['piclens_cfg_lite_actived']        = 'PiclensLite iespējošana (Piclens bez navigācijas spraudņiem)';
+
+$lang['piclens_cfg_otherplugins_title']    = 'Saderība ar citiem uzinstalētajiem spraudņiem';
+$lang['piclens_cfg_plugins_actived']    = 'Saderības iespējošana ar
+<b><u><i>%s</i></u></b> Spraudni';
+$lang['piclens_label_plugins']            = '<b><u><i>%s</i></u> Spraudnis
+instalēts </b>and <b>aktivēts</b>';
+$lang['piclens_secureimage_detail']        = 'Izmantot getFile metodi no SecureImage spraudņa attēlu lādēšanai.';
+$lang['piclens_extendeddesc_detail']    = 'Valodas iezīmes (tag) [lang] izmantošana attēlu komentēšanai un < !--hidden-- > iezīmi (tag), lai slēptu kategorijas un attēlus.';
+
+$lang['piclens_cfg_specials_actived']    = 'Piclens iespējošana "Specials" lapās';
+$lang['piclens_recentpics_label']         = 'Tekošie attēli';
+$lang['piclens_recentcats_label']         = 'Tekošās kategorijas';
+$lang['piclens_mostvisited_label']         = 'Visvairāk apciemots';
+$lang['piclens_bestrated_label']         = 'Visaugstāk novērtēts';
+$lang['piclens_favorites_label']         = 'Mani mīļākie';
+
+$lang['piclens_label_withoutrecursive']    = 'Bez rekursijas (atkārtošanās)';
+$lang['piclens_label_withrecursive']    = 'Ar rekursiju';
+
+$lang['piclens_recurs_mode_title']        = 'Rekursijas Metode';
+$lang['piclens_recurs_mode_label']        = 'Rekursijas Metode  : ';
+$lang['piclens_recursive_standard']        = 'Standarts';
+$lang['piclens_recursive_standard_title']= 'Standarta Metode';
+$lang['piclens_recursive_standard_detail']= 'Sākums<br/>&nbsp;\- Kategorija A<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Apakškategorija AA<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\-
+attēli_AAxx<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\
+<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Apakškategorija AB<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\-
+attēli_ABxx<br/>&nbsp;\<br/>&nbsp;\- Kategorija B<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Apakškategorija BA<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\-
+attēli_BAxx<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Apakškategorija BB<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\-
+attēli_BBxx<br/><br/>- Uz sākumu, 1 straume ietver sevī visus A un B un to apakškategoriju attēlus (flux Home)<br/>- Katrā kategorijā (eg A), 1 straume ietver sevī visus kategorijas un apakškategoriju attēlus (eg A and AA and AB)<br/>';
+$lang['piclens_recursive_specifique']    = 'Īpašs';
+$lang['piclens_recursive_specifique_title']= 'Īpaša Metode';
+$lang['piclens_recursive_specifique_detail']= 'Sākums<br/>&nbsp;\-
+Kategorija A<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Apakškategorija AA<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\-
+attēli_AAxx<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\
+<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Apakškategorija AB<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\-
+attēli_ABxx<br/>&nbsp;\<br/>&nbsp;\- Kategorija B<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Apakškategorija BA<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\-
+attēli_BAxx<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\-
+Apakškategorija BB<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\-
+attēli_BBxx<br/><br/>- Uz sākumu, 1 katras kategorijas straume ietver sevī visus apakškategoriju attēlus (eg, flows A and B flows)<br/>- Katrā kategorijā (eg A), 1 kategorijas straume ietver sevī visus kategorijas attēlus (eg flow A) un 1 katras apakškategorijas straumi, sevī ietverošu visus apakškategoriju attēlus (eg flow AA and flow AB)';
+
+$lang['piclens_recurs_mode_rem']        = '<i>Jebkurā gadījumā izvēlētā metode, 3D siena "Cooliris 3D Wall" (Tab 3) darbojas, izmantojot<b>Standarta Metodi</b></i>';
+
+$lang['piclens_rsscfg_title']             = 'Piclens : RSS padeves Parametrs';
+$lang['piclens_rsscfg_exttitle']        = 'Piclens izmantotais faila tips';
+$lang['piclens_rsscfg_ext']                = 'Lietojiet šos faila paplašinājumus : ';
+$lang['piclens_rsscfg_ext1']            = '(Jebkuru izvēlēto paplašinājumu => Lietojiet visus paplašinājumus priekš rss padeves)';
+$lang['piclens_rsscfg_ext2']            = 'Piezīme : !NULL! pārstāv dažus ierakstus bez sīkbildēm (daži videofaili [.flv piemēram])';
+
+$lang['piclens_rsscfg_TNtype']            = 'Piclens slaidrādē izmantojamo sīkbilžu tips';
+$lang['piclens_rsscfg_IMGtype']            = 'Normālais attēla tips lietošanai Piclens slaidrādē';
+$lang['piclens_rsscfg_order']            = 'Attēlu rādīšanas secība priekš PicLens';
+$lang['piclens_rsscfg_order1']            = 'Attēlu kārtošanas veids priekš Piclens';
+$lang['piclens_rsscfg_name']             = 'Attēla nosaukums Piclens režīmā';
+$lang['piclens_rsscfg_namecat']            = 'Rādīt Kategorijas nosaukumu';
+$lang['piclens_rsscfg_desc']             = 'Attēlu apraksts Piclens režīmā';
+$lang['piclens_rsscfg_video']             = 'Video atbalsts Piclens režīmā';
+
+$lang['piclens_label_orderPiwigo']         = 'Piwigo pēc noklusējuma';
+$lang['piclens_label_orderCreDate']     = 'Izveidot datumu';
+$lang['piclens_label_orderAddDate']     = 'Pievienot Datumu';
+$lang['piclens_label_orderAverage']     = 'Vidējais vērtējums';
+$lang['piclens_label_orderBest']         = 'Labākais skatījums';
+$lang['piclens_label_orderName']        = 'Faila nosaukums';
+$lang['piclens_label_orderID']             = 'Id';
+$lang['piclens_label_orderRand']         = 'Gadījuma';
+$lang['piclens_label_orderCat']         = 'Kategorija';
+$lang['piclens_label_orderRank']         = 'Vērtējums';
+
+$lang['piclens_label_sortHome']         = 'Piclens Sākumam';
+$lang['piclens_label_sortCat']             = 'Piclens Kategorijām';
+
+$lang['piclens_label_sortPiwigo']        = 'Piwigo pēc noklusējuma';
+$lang['piclens_label_sortUp']            = 'AUGŠUP';
+$lang['piclens_label_sortDown']            = 'LEJUL';
+
+$lang['piclens_label_TypeTN']            = 'Sīkbilde';
+$lang['piclens_label_TypeNorm']            = 'Normāls';
+$lang['piclens_label_TypeHigh']            = 'Augsts';
+
+$lang['piclens_label_Name1']            = 'Sīkbildes nosaukums: izmērs';
+$lang['piclens_label_Name2']            = ' Sīkbildes nosaukums';
+$lang['piclens_label_Name3']            = 'Attēla nosaukums';
+$lang['piclens_label_Name4']            = 'Nekas';
+
+$lang['piclens_label_Desc1']            = 'Nekas';
+$lang['piclens_label_Desc2']            = 'Attēla nosaukums';
+$lang['piclens_label_Desc3']            = 'Attēla apraksts';
+
+
+$lang['piclens_wallcfg_title']             = 'Piclens : PiclensWall (3D Wall) Konfigurācija';
+$lang['piclens_wallcfg_navoption_title']= 'Navigācija ar Cooliris 3D Wall';
+$lang['piclens_wallcfg_name']            = 'Cooliris 3D Wall Tituls :';
+$lang['piclens_wallcfg_actived']        = 'Cooliris 3Dwall iespējošana';
+$lang['piclens_wallcfg_info']            = '<b>Svarīgi 3DWall darbībai: </b>Nepieciešams nokopēt failu';
+$lang['piclens_wallcfg_info_suite']        = 'web lapas pamatā (vai modificē jau eksistējošu)';
+$lang['piclens_wallcfg_color']            = 'Cooliris 3D wall fona krāsa';
+$lang['piclens_wallcfg_colorB']            = 'Melna';
+$lang['piclens_wallcfg_colorW']            = 'Balta';
+$lang['piclens_wallcfg_heigh']            = 'Cooliris 3D Wall sienas augstums';
+$lang['piclens_wallcfg_disp']            = 'Cooliris 3D wall attēlošanas izvēle :';
+$lang['piclens_wallcfg_disp_opt1']        = 'Sākums';
+$lang['piclens_wallcfg_disp_opt2']        = 'Kategorijas';
+$lang['piclens_wallcfg_option']            = 'Rādīt Cooliris 3D Wall izvēles (opcijas) :';
+$lang['piclens_wallcfg_option-opt1']    = 'Rāda "Embed" (iestrādājamo) saiti';
+$lang['piclens_wallcfg_option-opt2']    = 'Rāda "FullScreen" (pilns ekrāns) saiti';
+$lang['piclens_wallcfg_option-opt3']    = 'Rāda "Search" (meklēt) saiti';
+$lang['piclens_wallcfg_transparent']    = '"Transparent" (caurspīdīgs) Režīms sienai. <i>Nepieciešams dažām horizontāla rakstura tēmām</i>';
+$lang['piclens_wallcfg_param']            = 'Cooliris 3D Wall sienas Parametri ';
+$lang['piclens_wallcfg_paramNORM']        = 'Standarts (Tas pats visām galerijām)';
+$lang['piclens_wallcfg_paramSPEC']        = 'Īpašs (zemākesošo kategoriju konfigurācija)';
+$lang['piclens_wallcfg_cat_nav']   = 'Sīkbilžu navigācijas aizvietošana kategorijās ar Cooliris 3D wall';
+$lang['piclens_wallcfg_cat_nav1']  = 'Kategorijas, kurās siena (wall) aizvieto 3D navigāciju :';
+
+$lang['piclens_wallcfg_swflocal']    = '[Izvēles] Lokālā flash faila (swf) izmantošana priekš 3DWall Cooliris web lapas vietā <b>[Šajā gadījumā crossdomain.xml fails nav nepieciešams]</b>';
+
+$lang['piclens_wallcfg_nbligne']    = 'Uz sienas attēloto rindu skaits ';
+
+$lang['piclens_wallcfg_cat']    = 'Cooliris 3D sienā ietvertās kategorijas (kad parametrs \'specific\') :';
+
+$lang['piclens_wallcfg_spec_nav']        = 'Specials lapās esošās navigācijas aizvietošana ar Cooliris 3D sienu';
+
+$lang['piclens_label_crossdomain1']  = '<i>Fails <u>crossdomain.xml</u> jau eksistē web lapas pamatnē (saknes mapē), ja nepieciešams, rediģējiet un izmainiet to paši.</i>';
+$lang['piclens_label_crossdomain2']   = 'Iekopējiet crossdomain.xml failu web lapas pamatnē.';
+
+$lang['piclens_label_pwgstuff1']  = '<u>Piezīme :</u> <b>Iespēja nav pieejama, jo instalēts PWG_Stuff (skatīt iespējas PWG_Stuff saturā). Dažus iestatījumus var izmainīt šeit.</b>';
+$lang['piclens_label_pwgstuff2']        = '<u>Piezīme :</u> Tā vietā, instalējiet <a
+href=http://fr.piwigo.org/ext/extension_view.php?eid=190>PWG_Stuff</a>
+lai pievienotu PicLens 3DWall bloku (attēls pielāgojams iekš PWG_Stuff ).';
+
+$lang['piclens_stuff_notparam']   = '<b>Parametri spraudnim Cooliris PicLens. Nav lietojami spraudnim PWG Stuff </b>';
+$lang['piclens_stuff_param_commun']   = '<b>Parametri var derēt spraudņiem Cooliris PicLens un PWG-Stuff</b>';
+
+$lang['piclens_3dwallconfig2_tab']         = 'Izvērstā 3DWall konfigurācija';
+$lang['piclens_wallcfgadv_title']       = 'Piclens : Cooliris 3D Wall izvērstā konfigurācija';
+$lang['piclens_wallcfg_colorD']         = 'Tumša';
+$lang['piclens_wallcfg_colorL']         = 'Gaiša';
+$lang['piclens_wallcfg_showChrome']    = 'Rāda kājenes rīkjoslas fonu';
+$lang['piclens_wallcfg_showDescription']    = 'Rāda vienības apraksta pārkārumu';
+$lang['piclens_wallcfg_showReflections']    = 'Rāda atspulgus zem attēliem';
+$lang['piclens_wallcfg_showTutorial']    = 'Rāda pamācošu ziņojumu';
+$lang['piclens_wallcfg_showNavArrows']    = 'Rāda navigācijas bultas';
+$lang['piclens_wallcfg_backgroundAlpha']    = 'Fona caurspīdīgums [0.0-1.0]';
+$lang['piclens_wallcfg_descriptionHeight']    = 'Uzraksta augstums un apraksta pārkārums [0-100]';
+$lang['piclens_wallcfg_tilt']    = 'Sienas sagāzuma lielums [0-5]';
+$lang['piclens_wallcfg_backgroundColor']    = 'Fona krāsa';
+$lang['piclens_wallcfg_glowColor']    = 'Blāzmojuma krāsa ap izvēlēto attēlu';
+$lang['piclens_wallcfg_backgroundImage']    = 'sienas fona attēla URL';
+$lang['piclens_wallcfg_tutorial']    = 'mācību attēla URL';
+$lang['piclens_wallcfg_tutorialtime']    = 'Mācību kavējums';
+$lang['piclens_wallcfg_customButtonURL']    = 'URL Klienta pogai rīkjoslas apakšējā labā stūrī';
+$lang['piclens_wallcfg_customButtonTARGET']    = 'Klienta pogas objekts';
+$lang['piclens_wallcfg_icons']    = 'PNG attēlu Mape priekš klienta rīkjoslu ikonām';
+$lang['piclens_wallcfg_linkCSS']    = 'CSS rinda pielietojama aprakstiem';
+
+$lang['piclens_xml_config'] = 'Nosaukuma un apraksta Konfigurācija';
+$lang['piclens_xml_legend']    = 'Nosaukuma un apraksta Parametri';
+
+//legende
+$lang['piclens_picture_legend']        = 'Attēls';
+$lang['piclens_cat_legend']            = 'Kategorija';
+$lang['piclens_global_legend']        = 'Globāls';
+$lang['img_id_legend']                = 'Attēla ID';    // %I1
+$lang['img_name_legend']            = 'Attēla Nosaukums';    // %I2
+$lang['img_description_legend']        = 'Attēla Apraksts'; // %I3
+$lang['img_author_legend']            = 'Fotoattēla Autors';    // %I4
+$lang['img_URLThumb_legend']        = 'Sīkbildes URL (URL No galerijas)'; // %I5
+$lang['img_URLNormal_legend']        = 'Attēla URL (URL No galerijas)';    // %I6
+$lang['img_URLHigh_legend']            = 'HD Attēla URL (URL No galerijas)';    // %I7
+$lang['img_URLPicturephp_legend']    = 'Saite uz attēla lapu (picture.php)';    //%I8
+$lang['img_URLThumbFull_legend']    = 'Sīkbildes URL (Pilns URL)'; // %I9
+$lang['img_URLNormalFull_legend']    = 'Attēla URL (Pilns URL)';    // %IA
+$lang['img_URLHighFull_legend']        = 'HD Attēla URL (Pilns URL)';    
+// %IB
+$lang['img_filename_legend']        = 'Attēla faila nosaukums'; // %IC
+$lang['img_comment_legend']            = 'Pēdējie komentāri'; // %ID
+
+$lang['root_path_legend']            = 'Piwigo ceļš'; // %G1
+
+$lang['cat_id_legend']                = 'Kategorijas ID'; // %C1
+$lang['cat_name_legend']            = 'Kategorijas nosaukums'; // %C2
+$lang['cat_description_legend']        = 'Kategorijas apraksts'; // %C3
+$lang['cat_dir_legend']                = 'Ceļš uz kategoriju (ceļš no Galerijas)'; // %C4
+$lang['cat_dirFull_legend']            = 'Ceļš uz kategoriju (Pilns ceļš)';
+// %C4
+// Fin legende
+
+$lang['piclens_tags_label']        = 'Iezīmes (Tags)';
+$lang['piclens_rsscfg_exclude_double']    = 'Aizliegt dubultattēlu padevi (ar tādu pašu ceļu)';
+$lang['piclens_rss_icon']        = 'Cooliris padeves Ikonas URL';
+
+$lang['SelectedCat']        = 'Izvēlētas Kategorijas';
+$lang['NonSelectedCat']        = 'Nav izvēlētu kategoriju';
+
+$lang['piclens_rss_title']        = 'RSS plūsmas (flow) nosaukums <i>(ja nelieto, tukšs)</i>';
+?>