Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 7871)
+++ /extensions/Autosize/autosize.inc.php	(revision 7872)
@@ -223,22 +223,19 @@
  }// function cl_autosize_script_2
  //============================================================
-	static public function cl_autosize_script()
+ /*
+  *
+ */
+ static public function cl_autosize_script()
 	{
-	   global  $template,$user,$conf,$picture ,$page;
-	   //userDefManage ??
+	   global  $template,$user,$conf,$picture ,$page,$cl_version;
 	   	$my_path =  basename(dirname(__FILE__)).'/' ;
 	    $my_path = dirname(__FILE__).'/';
-			$debug = isset($conf['debug']) ? $conf['debug'] : false ; 
-			$cl_conflit =  isset($conf['cl_conflit']) ? $conf['cl_conflit'] : 'true' ;
-			$template->set_filenames(
-		     array('autosize_init'=>$my_path. "template/conflit.tpl"  
-			 )
-		      );		
-			 
-			
-			  $theme=$user['theme'];
+		$template->set_filenames(array('autosize_init'=>$my_path. "template/conflit.tpl" ) );	
+		$debug = isset($conf['debug']) ? $conf['debug'] : false ; 
+		$cl_conflit =  isset($conf['cl_conflit']) ? $conf['cl_conflit'] : 'true' ;			
+		$theme=$user['theme'];
 			 
   		$template->assign(
-  						array(
+  						array( 'version' => $cl_version['version'] ,
 						'cl_conflit' => $cl_conflit  ,
 						'theme' => $theme  ,
@@ -247,14 +244,12 @@
 						 );
 
-if(	$page['body_id'] == 'theAdminPage' ) return ;
-
-		   return $template->parse( 'autosize_init', false);
-
-       
+		if(	$page['body_id'] == 'theAdminPage' ) return ;
+		return $template->parse( 'autosize_init', false);
 	}// function cl_autosize_script
-	/*
-	*
-    */
-	static public function cl_ajuste_data($content){
+//===============================================================
+/*
+ *
+*/
+static public function cl_ajuste_data($content){
 	   global  $template,$user,$conf,$picture ;
 	   		$my_path = realpath(AUTOSIZE_PATH .'/');
@@ -291,15 +286,14 @@
 
  
-   return $content;
+		return $content;
    /*
- $template->assign(
+		$template->assign(
   						array(
 						'AUTOSIZE_PATH' => $my_path,
-
 											)
 						 );
  
 		$template->parse( 'autosize_cl_init', false);
-	return $content;
+		return $content;
 	*/
 
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 7871)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 7872)
@@ -25,18 +25,16 @@
 function Wait_pamoorama() {
      if (jQuery("#pamoorama").length) {
-                         mypanorama = window.myPamoorama;
-                        if (!mypanorama){ 
-                                setTimeout("Wait_pamoorama()", 500);
-                                return false ;
+        mypanorama = window.myPamoorama;
+        if (!mypanorama){ 
+                         setTimeout("Wait_pamoorama()", 500);
+                         return false ;
                         }
-                 if ( mypanorama.skipInit==false) { 
+        if ( mypanorama.skipInit==false) { 
                     setTimeout("Wait_pamoorama()", 500);
                     return false ;
                }
-
-                     info_pamoorama = jQuery("#pamoorama").infos();
-                    new_width= info_pamoorama.width ;
-               
-                 if (  Math.abs(new_width - myPamoorama.options.width)>10  ) {
+        info_pamoorama = jQuery("#pamoorama").infos();
+         new_width= info_pamoorama.width ;
+         if (  Math.abs(new_width - myPamoorama.options.width)>10  ) {
                  setTimeout("Wait_pamoorama()", 500);
                  return false ;
@@ -46,24 +44,33 @@
              jQuery('#pamoorama').trigger('ON');
             
-                }
-            }
-            nu_img = 0;
+      }
+  }
+nu_img = 0;
 
 //==========================================================================
-            function Wait_Affichage() {
-                jQuery("#theImage").css({
-                    opacity: 0
-
-                }
-                 )
-       if(!jQuery().newResize()) {
+function Wait_Affichage() { 
+    if(!jQuery().newResize()) {
                  setTimeout("Wait_Affichage()", 500);
-                 return 
-    }
-
-      fade_in = parseInt(fade_in);
+                 return
+             }
+
+             fade_in = parseInt(fade_in);
+
+             jQuery(Parent).animate(
+                         { opacity: 1 }, fade_in, "swing"
+                       , function (i) {
+                 if (DEBUG == "true") {
+                     bp1 = jQuery('.debug').get(nu_img);
+                     if (!bp1) nu_img = 0;
+                     bp1 = jQuery('.debug').get(nu_img);
+                     jQuery(bp1).trigger('ON');
+                 }
+             }
+              );
+
+             return;
             if (fade_in==0 )
                  {
-                 jQuery("#theImage").css({
+                 jQuery(Parent).css({
                          opacity: 1
                          
@@ -71,15 +78,11 @@
                  )
 				 }else{
-                 jQuery("#theImage").animate(
+                 jQuery(Parent).animate(
                          { opacity: 1 }, fade_in   , "swing"
                         );
              }
-             nu_img += 1;
-
-             bp1 = jQuery('.debug').get(nu_img);
-             if (!bp1) nu_img = 0;
-             bp1 = jQuery('.debug').get(nu_img);
-
-             jQuery(bp1).trigger('ON'); 
+
+
+
 } 
  
@@ -142,12 +145,18 @@
 
              Info_the_page = jQuery("#the_page").infos();
-             Zone_Affichage = jQuery("#theImage").infos();
-
-
+
+             Parent = "#theImage";
+             Zone_Affichage = jQuery(Parent).infos();
+             if (Zone_Affichage.width == 0)
+                 Parent = Parent + "Box";
+             Zone_Affichage = jQuery(Parent).infos();
              //   
              var old_window = { width: 0, height: 0 };
-             if (Info_description("theImage")) {
-                 Bandeau_bas = Info_description("theImage");
+
+             if (Info_description(Parent)) {
+                 Bandeau_bas = Info_description(Parent);
                  Bandeau = Bandeau_bas.top;
+             } else {
+
              }
              Wait_Affichage();
@@ -162,28 +171,5 @@
              jQuery(window).resize(
                function (event, ui) {
-
-
-                   event = event || window.event;
-
-                   if (event.type == "resize") {
-                       myevent = arguments[0] = jQuery.event.fix(event || window.event);
-                       myevent.currentTarget = this;
-                       // Namespaced event handlers
-                       var namespaces = myevent.type.split(".");
-                       myevent.type = namespaces.shift();
-                   }
-                   if (typeof (init_resize) == "undefined") init_resize = false;
-
-                   new_window = jQuery(window).infos();
-                   init_resize = (new_window.width == old_window.width);
-                   if (init_resize == false) {
-                       init_resize = Resize();
-                   }
-                   init_resize = (new_window.height == old_window.height)
-                   if (init_resize == false)
-                       init_resize = Resize(); ;
-
-
-
+                   jQuery().newResize();
                });
 
@@ -192,11 +178,4 @@
              var pos;
              var set_p = false;
-             function Resize() {
-
-                 jQuery().newResize();
-
-
-             }
-
 
 
@@ -239,4 +218,13 @@
              newResize: function () {
                  //  
+                 if (DEBUG == "true") {
+                     nu_img += 1;
+
+                     bp1 = jQuery('.debug').get(nu_img);
+                     if (!bp1) nu_img = 0;
+                     bp1 = jQuery('.debug').get(nu_img);
+
+                     jQuery(bp1).trigger('ON');
+                 }
                  var chk = eval(user_status + "_enabled");
                  if (!cl_visible == true) { return true; }
@@ -252,6 +240,11 @@
 
 
-
-                 var Cadre = jQuery("#theImage").get(0);
+                 Parent = "#theImage";
+                 var Cadre = jQuery(Parent).get(0);
+                 if (Cadre == null) {
+                     Parent = "#theImageBox";
+                     Cadre = jQuery(Parent).get(0);
+                 }
+
                  var info_Cadre = jQuery(Cadre).infos();
                  //===============  Information cadre ======
@@ -267,11 +260,12 @@
 
 
-                 var Zone_Affichage = jQuery("#theImage").infos();
-
-                 var info_ToolBar = jQuery("#imageToolBar").infos();
+
+
+
                  var info_imageInfoBar = jQuery("#imageInfoBar").infos();
                  var info_theHeader = jQuery("#theHeader").infos();
 
-
+                 var Zone_Affichage = jQuery(Parent).infos();
+                 var info_ToolBar = jQuery("#imageToolBar").infos();
                  var marge = 0;
                  if (info_ToolBar.width > 0)
@@ -283,5 +277,5 @@
                  if (info_content.width > 100) {
                      marge_left = 0;
-                     marge_right = info_imageInfoBar.margin.left + info_imageInfoBar.margin.right;
+                     marge_right = (info_imageInfoBar.margin.left + info_imageInfoBar.margin.right);
                      winwidth = info_content.width;
                      marge_right = info_imageInfoBar.width + marge_right;
@@ -290,4 +284,8 @@
                  else
                      winwidth = Zone_Affichage.width;
+
+
+                 marge_right -= Zone_Affichage.borderwidth.right;
+                 marge_left += Zone_Affichage.borderwidth.left;
                  winwidth -= (marge_right + marge_left);
                  if (Type_Img == "pamoorama") {
@@ -349,5 +347,5 @@
                      case "img":
 
-                         if (!TheImg) return;
+                         if (!TheImg) return true;
                          if (theme.match(RegExp("luciano", "g"))) {
                              TheImg = jQuery("#the_page #theImg");
@@ -359,5 +357,9 @@
                          break
                      case "img_autre":
-                         if (!TheImg) return;
+                         if (!TheImg) {
+                             if (DEBUG == "true") alert("TheImg=null");
+                             return true;
+
+                         }
                          info_theImage = jQuery(TheImg).infos();
                          info_the_page = jQuery("#the_page").infos();
@@ -458,5 +460,5 @@
                  info_Licence = jQuery(".licencetag").infos();
 
-                 jQuery("#theImage #theImg IMG").css("marginTop", "0px")
+                 jQuery(Parent + " #theImg IMG").css("marginTop", "0px")
                  //========== Correction en fonction du thème =============================
                  var correction = 0;
@@ -464,9 +466,8 @@
 
                      //   correction = -info_Licence.padding.top;
-                     if (Type_Img == 'img')
-                  {
-                     if (msie == true) correction = 20;
-                     else correction = 30;
-                     } 
+                     if (Type_Img == 'img') {
+                         if (msie == true) correction = 20;
+                         else correction = 30;
+                     }
 
                  } else if (theme.match(RegExp("Pure", "g"))) {
@@ -489,7 +490,14 @@
 
                  Bandeau = Bandeau_t.bottom;
-
                  Zone_Affichage.height = winheight - Bandeau - Marge_Basse - correction;
-                 var Image_height = Zone_Affichage.height - Bandeau_bas.height - Bandeau_bas.marge.top - Bandeau_bas.marge.bottom;
+                 if (typeof (Bandeau_bas) != "undefined") {
+                     var Image_height = Zone_Affichage.height - Bandeau_bas.height - Bandeau_bas.marge.top - Bandeau_bas.marge.bottom;
+
+
+                 } else {
+                     var Image_height = Zone_Affichage.height;
+                 }
+
+
 
                  //=============================================================
@@ -534,7 +542,9 @@
                          widthmin = parseInt(width_user);
                      var marges = marges_llgbo;
-                     widthmin -= info_img.borderwidth.left;
-                     widthmin -= info_img.borderwidth.right;
-
+                     if (typeof(info_img)!="undefined")
+                     {
+                     widthmin -= info_img.borderwidth.left||0;
+                     widthmin -= info_img.borderwidth.right || 0;
+                     }
                      widthmin -= marges;
                      if (Image_width > widthmin) {
@@ -620,5 +630,5 @@
 
                          }
-                         //  jQuery("#" + Parent + " p:not(:contains(' ')) ").remove();
+                         //  jQuery(Parent + " p:not(:contains(' ')) ").remove();
                          a0 = jQuery("area[rel!=up][rel!=prev][rel!=next]");
                          a1 = jQuery("area[rel=prev]");
@@ -789,19 +799,6 @@
 
                      info_frame = jQuery(myPamoorama.frame).infos();
-                     /*   myPamoorama.ratio = new_width / 200;
-                     jQuery("#pamoorama_frame").width(myPamoorama.ratio);
-                     jQuery("#pamoorama_frame").css("width", myPamoorama.ratio + "px");
-                     jQuery("#pamoorama_footer img").width(200)
-                     jQuery("#pamoorama_footer img").css({ width: "200px", height: info_pamoorama_footer.height+"px" });
-                     jQuery("#pamoorama_footer").width(new_width) ;
-                     jQuery("#pamoorama_footer").css({width:new_width+"px"})
-
-                     jQuery(TheImg).height(img_finale.height);
-                     jQuery(TheImg).width(img_finale.width);
-                     jQuery(TheImg).css("height", img_finale.height + "px ");
-                     jQuery(TheImg).css("width", img_finale.width + "px ");
-                     */
+
                      zoom = Image_height / img_height;
-
 
 
@@ -823,10 +820,8 @@
                  }
 
-
-                 jQuery("#navThumbPrev").css({ overflow: "hidden"
-                 });
-                 jQuery("#navThumbNext").css({
-                     overflow: "hidden"
-                 });
+                 info_frame = Zone_Affichage;
+
+                 jQuery("#navThumbPrev").css({ overflow: "hidden" });
+                 jQuery("#navThumbNext").css({ overflow: "hidden" });
                  try {
                      if (theme.match(RegExp("gally", "gi"))) {
@@ -878,5 +873,12 @@
                      jQuery(".navThumb img").css({ height: "80px", width: "", overflow: "hidden" });
                  }
-
+                 if (DEBUG == "true") {
+                     //  jQuery(Parent).height(info_frame.height +info_description.height   +"px");
+                     //  info_Cadre = jQuery(Parent).infos();
+
+                     //  jQuery("#Debug3").css({ top: info_Cadre.top + "px", height: info_Cadre.height + "px" }); //blue
+                     jQuery("#Debug5").css({ left: info_frame.left + "px", width: info_frame.width + "px", height: info_frame.height + "px" }); //red
+                     jQuery("#Debug4").css({ top: info_frame.bottom - info_description.height + "px" }); //green
+                 }
 
                  return true;
@@ -936,17 +938,17 @@
                      }
 
-                     info_theImage = jQuery("#theImage").infos();
+                     info_theImage = jQuery(Parent).infos();
 
 
                      if (info_theImage.position == "relative") {
                          //--- passage relative ==> static ===/
-                         jQuery("#theImage").css("position", "static");
-                         info_theImage = jQuery("#theImage").infos();
+                         jQuery(Parent).css("position", "static");
+                         info_theImage = jQuery(Parent).infos();
 
                      }
                      if (info_theImage.position == "absolute") {
                          //--- passage absolute ==> static ===/
-                         jQuery("#theImage").css("position", "static");
-                         info_theImage = jQuery("#theImage").infos();
+                         jQuery(Parent).css("position", "static");
+                         info_theImage = jQuery(Parent).infos();
 
                      }
@@ -974,5 +976,5 @@
 function Info_description(Parent) {
 
-                     //  jQuery("#" + Parent + " p:not(:contains(' ')) ").remove();
+                     //  jQuery(Parent + " p:not(:contains(' ')) ").remove();
                      //=============================================================================
                      info_description = { top: 0, bottom: 0, height: 0 };
@@ -984,5 +986,5 @@
                      } else if (jQuery("#pamoorama").length) {
                          Type_Img = "pamoorama";
-                     } else if (jQuery("#theImage embed").length > 0) {
+                     } else if (jQuery(Parent +" embed").length > 0) {
                          Type_Img = "embed";
                      } else if (jQuery("#map").length) {
@@ -991,6 +993,9 @@
                      } else if (jQuery("#Panorama").length) {
                          Type_Img = "panorama";
-                     } else if (jQuery("#theImage").find("img").length > 0) {
+                     } else if (jQuery(Parent).find("img").length > 0) {
                          Type_Img = "img";
+                       } else if (jQuery(Parent+"Box").find("img").length > 0) {
+                         Type_Img = "img";
+                         Parent = Parent + "Box";
                      } else if (jQuery("img").length > 0) {
                          Type_Img = "img_autre";
@@ -1001,5 +1006,5 @@
 
 
-                     Bandeau_t = Info_entete("theImage")
+                     Bandeau_t = Info_entete(Parent)
                      Bandeau = Bandeau_t.img_top;
                      llgboframe = jQuery("#gbo div:first");
@@ -1017,5 +1022,5 @@
 
                      if (theme.match(RegExp("simple", "gi"))) {
-                         jQuery("#" + Parent).css({ padding: "0px",
+                         jQuery(Parent).css({ padding: "0px",
                              marginLeft: "0px",
                              marginRight: "auto",
@@ -1030,7 +1035,7 @@
                      }
 
-                     //   jQuery("#" + Parent + " p").css({ padding: "0px", margin: "0px "    });
+                     //   jQuery(Parent + " p").css({ padding: "0px", margin: "0px "    });
                      if (theme.match(RegExp("luciano", "g"))) {
-                         TheImg = jQuery("#" + Parent + " #theImg img");
+                         TheImg = jQuery(Parent + " #theImg img");
                          info_img = jQuery(TheImg).infos();
 
@@ -1062,7 +1067,7 @@
 
 
-                     } else if (jQuery("#theImage embed").length > 0) {
+                     } else if (jQuery(Parent +" embed").length > 0) {
  
-                         TheImg = jQuery("#theImage embed");
+                         TheImg = jQuery(Parent +" embed");
                          info_img = jQuery(TheImg).infos();
                       
@@ -1083,5 +1088,5 @@
 
                      } else {
-                         TheImg = jQuery("#" + Parent + " img");
+                         TheImg = jQuery(Parent + " img");
                          TheImg = Get_Img_Maxi(TheImg);
                          info_img = jQuery(TheImg).infos();
@@ -1128,5 +1133,5 @@
 
 
-                     jQuery("#" + Parent + " p").each(function (i) {
+                     jQuery(Parent + " p").each(function (i) {
                          para = jQuery(this).infos();
                          if (para.height > 0) {
@@ -1140,5 +1145,5 @@
                      });
                      //===================== Recherche lmt Bas =====(bleu debug3)====================
-                     info_licencetag = jQuery("#" + Parent + ".licencetag").infos();
+                     info_licencetag = jQuery(Parent + ".licencetag").infos();
                      jQuery(".licencetag").css("position", "static");
 
@@ -1161,5 +1166,5 @@
 
                      //========================================================
-                     info_table = jQuery("#" + Parent + " Table").infos();
+                     info_table = jQuery(Parent + " Table").infos();
                      if (info_table.height > 0) {
                          info_table.bottom += info_table.margin.top + info_table.margin.bottom;
@@ -1229,6 +1234,5 @@
                      css: {
                      color:"black",
-                        opacity: 0.5,
-                        filter: 'alpha(opacity:50)',
+                        opacity: "0.5",                      
                         position: "absolute",
                         height: infos.height||100 +"px",
@@ -1288,5 +1292,5 @@
          jQuery('#pamoorama').live('ON', function (e) {
              jQuery(jQuery('.debug').get(1)).trigger('ON');
-             Bandeau_bas = Info_description('theImage');
+             Bandeau_bas = Info_description(Parent);
              Bandeau = Bandeau_bas.top;
          });
@@ -1326,10 +1330,10 @@
 
          // Add 10 testing debugs to start with
-
+    
          if (DEBUG == "true") {
              for (var i = 0; i < 10; i++) {
                  jQuery('#adddebugs').click();
              }
-             jQuery(jQuery('.light').get(8)).click();
+             jQuery(jQuery('.debug').get(8)).click();
 
          }
Index: /extensions/Autosize/js/conflit.js
===================================================================
--- /extensions/Autosize/js/conflit.js	(revision 7871)
+++ /extensions/Autosize/js/conflit.js	(revision 7872)
@@ -15,5 +15,9 @@
     // jQuery est chargé
 }
-
+try {
+    Conflit = { version: Version };
+} catch (e) {
+
+}
 //===================================================
 var detect = navigator.userAgent.toLowerCase();
@@ -544,4 +548,5 @@
 function save_framework(page) {
     $_ = $;
+    Conflit = { version: Version };
     return
 
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 7871)
+++ /extensions/Autosize/main.inc.php	(revision 7872)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: AutoSize
-Version: 1.3.7.4
+Version: 1.3.8
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448
@@ -13,8 +13,50 @@
 define(  'AUTOSIZE_PATH',   PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/' );
 include_once(AUTOSIZE_PATH.'autosize.inc.php');
+global $cl_version,$cl_plugin ;
+//===================================================================
+	$path = AUTOSIZE_PATH; 
+          $plg_data = implode( '', file($path.'main.inc.php') );
+          if ( preg_match("|Plugin Name: (.*)|", $plg_data, $val) )
+          {
+            $plugin['name'] = trim( $val[1] );
+          }
+          if (preg_match("|Version: (.*)|", $plg_data, $val))
+          {
+            $plugin['version'] = trim($val[1]);
+          }
+          if ( preg_match("|Plugin URI: (.*)|", $plg_data, $val) )
+          {
+            $plugin['uri'] = trim($val[1]);
+          }
+          if ($desc = load_language('description.txt', $path.'/', array('return' => true)))
+          {
+            $plugin['description'] = trim($desc);
+          }
+          elseif ( preg_match("|Description: (.*)|", $plg_data, $val) )
+          {
+            $plugin['description'] = trim($val[1]);
+          }
+          if ( preg_match("|Author: (.*)|", $plg_data, $val) )
+          {
+            $plugin['author'] = trim($val[1]);
+          }
+          if ( preg_match("|Author URI: (.*)|", $plg_data, $val) )
+          {
+            $plugin['author uri'] = trim($val[1]);
+          }
+          if (!empty($plugin['uri']) and strpos($plugin['uri'] , 'extension_view.php?eid='))
+          {
+            list( , $extension) = explode('extension_view.php?eid=', $plugin['uri']);
+            if (is_numeric($extension)) $plugin['extension'] = $extension;
+          }
+          // IMPORTANT SECURITY !
+          $plugin = array_map('htmlspecialchars', $plugin);
+		  $cl_version = $plugin;
+//============================================================================
 $autosize_controler = new autosize_controler();
 
 add_event_handler('get_admin_plugin_menu_links', array(&$autosize_controler,'cl_autosize_admin')  );
 add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_affiche'), 40 );
+
 add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_script'),  EVENT_HANDLER_PRIORITY_NEUTRAL+20 ,  2);	
 
@@ -23,4 +65,5 @@
  add_event_handler('render_element_content',
   array(&$autosize_controler, 'cl_autosize_script_3'),  EVENT_HANDLER_PRIORITY_NEUTRAL-1,  2  );
+
  //add_event_handler('loc_end_index',array(&$autosize_controler, 'cl_autosize_script_3'),  EVENT_HANDLER_PRIORITY_NEUTRAL );
  
Index: /extensions/Autosize/template/conflit.tpl
===================================================================
--- /extensions/Autosize/template/conflit.tpl	(revision 7871)
+++ /extensions/Autosize/template/conflit.tpl	(revision 7872)
@@ -1,10 +1,9 @@
 {html_head} 
   <!--- Autosize/template/confilt.tpl (head) --->    
-    {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js" now=1} 
+{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js" now=1} 
 {known_script id="dimensions" src=$AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js"} 
 {if $cl_conflit == 'true'} 
-
    {known_script id="conflit_script" src=$AUTOSIZE_PATH|@cat:"js/conflit.js"}
-   {/if}
+{/if}
 
 
@@ -12,8 +11,8 @@
     var DEBUG = '{$DEBUG}';
     var theme = '{$theme}';
+    var Version = '{$version}';
 </script>
 <!---FIN Autosize/template/confilt.tpl (/head) --->	
 {/html_head} 
-  <!--- Autosize/template/confilt.tpl (body) --->  
-
+<!--- Autosize/template/confilt.tpl (body) --->  
 <!---FIN Autosize/template/confilt.tpl (body) --->	